/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2020-10-23 10:39:26Z
 *****************************************************************************/

#ifndef __RSCMWDAU_ATTRIBUTES_HEADER
#define __RSCMWDAU_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwdau_stringToHex_ReadCallback(ViSession          io,
                                           ViConstString      repCapName,
                                           RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwdau_doubleQuotedString_WriteCallback(ViSession          io,
                                                   ViConstString      repCapName,
                                                   RsCoreAttributePtr attr,
                                                   void               *value);

ViStatus rscmwdau_stringToHex_WriteCallback(ViSession          io,
                                            ViConstString      repCapName,
                                            RsCoreAttributePtr attr,
                                            void               *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTable rscmwdau_rngIPv4AddressSetupMode;
extern RsCoreRangeTable rscmwdau_rngIPv6AddressSetupMode;
extern RsCoreRangeTable rscmwdau_rngServiceState;
extern RsCoreRangeTable rscmwdau_rngFTPServiceType;
extern RsCoreRangeTable rscmwdau_rngPingInterval;
extern RsCoreRangeTable rscmwdau_rngPingPayloadSize;
extern RsCoreRangeTable rscmwdau_rngPingCount;
extern RsCoreRangeTable rscmwdau_rngThroughputMeasurementPoints;
extern RsCoreRangeTable rscmwdau_rngIPerfTestDuration;
extern RsCoreRangeTable rscmwdau_rngIPerfTCPWindowSize;
extern RsCoreRangeTable rscmwdau_rngIPerfProtocol;
extern RsCoreRangeTable rscmwdau_rngIPerfPort;
extern RsCoreRangeTable rscmwdau_rngIPerfClientParallelConnections;
extern RsCoreRangeTable rscmwdau_rngIPerfMaxBitRate;
extern RsCoreRangeTable rscmwdau_rngIPerfPacketSize;
extern RsCoreRangeTable rscmwdau_rngIPv6MobilePrefixSetupMode;
extern RsCoreRangeTable rscmwdau_rngIPv6RoutingSetupMode;
extern RsCoreRangeTable rscmwdau_rngDNSServerType;
extern RsCoreRangeTable rscmwdau_rngIMSQueryStatus;
extern RsCoreRangeTable rscmwdau_rngIMSQueryMobileStatus;
extern RsCoreRangeTable rscmwdau_rngIMSServerUsage;
extern RsCoreRangeTable rscmwdau_rngIMSInternAddressType;
extern RsCoreRangeTable rscmwdau_rngIMSAuthenticationAlgorith;
extern RsCoreRangeTable rscmwdau_rngIMSAuthenticationAKAVersion;
extern RsCoreRangeTable rscmwdau_rngIMSAuthenticationRESLength;
extern RsCoreRangeTable rscmwdau_rngIMSAuthenticationKeyType;
extern RsCoreRangeTable rscmwdau_rngIMSIPSecIntegrityAlgorithm;
extern RsCoreRangeTable rscmwdau_rngIMSIPSecEncryptionAlgorithm;
extern RsCoreRangeTable rscmwdau_rngIMSVoicePreconditions;
extern RsCoreRangeTable rscmwdau_rngIMSVoiceMediaEndpointPort;
extern RsCoreRangeTable rscmwdau_rngIMSVoiceType;
extern RsCoreRangeTable rscmwdau_rngIMSVoiceAMRType;
extern RsCoreRangeTable rscmwdau_rngIMSVoiceVideoCodec;
extern RsCoreRangeTable rscmwdau_rngIMSQueryVoiceCallStatus;
extern RsCoreRangeTable rscmwdau_rngIMSSMSType;
extern RsCoreRangeTable rscmwdau_rngIMSQuerySMSStatus;
extern RsCoreRangeTable rscmwdau_rngIPLoggingInterface;
extern RsCoreRangeTable rscmwdau_rngIPLoggingPacketCounter;
extern RsCoreRangeTable rscmwdau_rngNetworkImpairmentsDelay;
extern RsCoreRangeTable rscmwdau_rngNetworkImpairmentsJitter;
extern RsCoreRangeTable rscmwdau_rngPct;
extern RsCoreRangeTable rscmwdau_rngNetworkImpairmentsJitterDistribution;
extern RsCoreRangeTable rscmwdau_rngIPAnalysisTCPTreshold;
extern RsCoreRangeTable rscmwdau_rngPingTimeout;
extern RsCoreRangeTable rscmwdau_rngMTU;
extern RsCoreRangeTable rscmwdau_rngIMSVoiceAudiorouting;
extern RsCoreRangeTable rscmwdau_rngIPAnalysisLayer;
extern RsCoreRangeTable rscmwdau_rngIPReplayState;
extern RsCoreRangeTable rscmwdau_rngSubscriberAuthentication;
extern RsCoreRangeTable rscmwdau_rngSubscriberKeyGenerationAlgorithm;
extern RsCoreRangeTable rscmwdau_rngSubscriberRESLength;
extern RsCoreRangeTable rscmwdau_rngSubscriberIntegrityAlgorithm;
extern RsCoreRangeTable rscmwdau_rngSubscriberEncryptionAlgorithm;
extern RsCoreRangeTable rscmwdau_rngVirtualSubscriberBehavior;
extern RsCoreRangeTable rscmwdau_rngVirtualSubscriberSignalingType;
extern RsCoreRangeTable rscmwdau_rngVirtualSubscriberCodecVideo;
extern RsCoreRangeTable rscmwdau_rngVirtualSubscriberMediaEndpoint;
extern RsCoreRangeTable rscmwdau_rngVirtualSubscriberAMRAlignmentMode;
extern RsCoreRangeTable rscmwdau_rngVirtualSubscriberMTCCallType;
extern RsCoreRangeTable rscmwdau_rngVirtualSubscriberMTCAMRAlignment;
extern RsCoreRangeTable rscmwdau_rngVirtualSubscriberSMSType;
extern RsCoreRangeTable rscmwdau_rngePDGIDType;
extern RsCoreRangeTable rscmwdau_rngePDGIKEEncryption;
extern RsCoreRangeTable rscmwdau_rngePDGIKEPRF;
extern RsCoreRangeTable rscmwdau_rngePDGIKEIntegrity;
extern RsCoreRangeTable rscmwdau_rngePDGDiffieHellman;
extern RsCoreRangeTable rscmwdau_rngePDGESPEncryption;
extern RsCoreRangeTable rscmwdau_rngePDGDeadPeerDetectionInterval;
extern RsCoreRangeTable rscmwdau_rngePDGDeadPeerDetectionTimeout;
extern RsCoreRangeTable rscmwdau_rngePDGAuthenticationAlgorithm;
extern RsCoreRangeTable rscmwdau_rngePDGAuthenticationKeyType;
extern RsCoreRangeTable rscmwdau_rngAudioDelayMaximumSamples;
extern RsCoreRangeTable rscmwdau_rngPCSCFFailureCode;
extern RsCoreRangeTable rscmwdau_rngPCSCFBehavior;
extern RsCoreRangeTable rscmwdau_rngIPvType;
extern RsCoreRangeTable rscmwdau_rngIPv6AddressLength;
extern RsCoreRangeTable rscmwdau_rngSubscriberQCI;
extern RsCoreRangeTable rscmwdau_rngIMSThreshold;
extern RsCoreRangeTable rscmwdau_rngIMSTransportSelection;
extern RsCoreRangeTable rscmwdau_rngUpdateCallEvent;
extern RsCoreRangeTable rscmwdau_rngEVSStartMode;
extern RsCoreRangeTable rscmwdau_rngEVSHFOnly;
extern RsCoreRangeTable rscmwdau_rngEVSDTX;
extern RsCoreRangeTable rscmwdau_rngEVSConfigurationMode;
extern RsCoreRangeTable rscmwdau_rngEVSBandwidthCommon;
extern RsCoreRangeTable rscmwdau_rngEVSCMR;
extern RsCoreRangeTable rscmwdau_rngEVSCHAW;
extern RsCoreRangeTable rscmwdau_rngFileTransferType;
extern RsCoreRangeTable rscmwdau_rngSMSEncoding;
extern RsCoreRangeTable rscmwdau_rngIPerfType;
extern RsCoreRangeTable rscmwdau_rngQoSProfileProtocol;
extern RsCoreRangeTable rscmwdau_rngQoSProfilePLR;
extern RsCoreRangeTable rscmwdau_rngQoSProfileDelay;
extern RsCoreRangeTable rscmwdau_rngQoSProfileJitterDistribution;
extern RsCoreRangeTable rscmwdau_rngQoSProfileBitRate;
extern RsCoreRangeTable rscmwdau_rngApplicationType;
extern RsCoreRangeTable rscmwdau_rngThroughputType;
extern RsCoreRangeTable rscmwdau_rngVirtualAudioCodec;
extern RsCoreRangeTable rscmwdau_rngEVSBandwidth;
extern RsCoreRangeTable rscmwdau_rngCMRRepetition;
extern RsCoreRangeTable rscmwdau_rngEVSBitrate;
extern RsCoreRangeTable rscmwdau_rngAMRBitrates;
extern RsCoreRangeTable rscmwdau_rngAMRWBBitrates;
extern RsCoreRangeTable rscmwdau_rngePDGState;
extern RsCoreRangeTable rscmwdau_rngThroughputMaxCount;
extern RsCoreRangeTable rscmwdau_rngIPLoggingPacketSnapLength;
extern RsCoreRangeTable rscmwdau_rngDNSRequestsMaxIndexCount;
extern RsCoreRangeTable rscmwdau_rngLANStatus;
extern RsCoreRangeTable rscmwdau_rngSubscriberPAUHeader;
extern RsCoreRangeTable rscmwdau_rngEVSIOModeConfig;
extern RsCoreRangeTable rscmwdau_rngFilterConnections;
extern RsCoreRangeTable rscmwdau_rngLayer4Protocol;
extern RsCoreRangeTable rscmwdau_rngIPAnalysisPortScanTimeout;
extern RsCoreRangeTable rscmwdau_rngIPAnalysisPortScanEventLogStatus;
extern RsCoreRangeTable rscmwdau_rngSocketBufferSize;
extern RsCoreRangeTable rscmwdau_rngIPerfNATParallelConnections;
extern RsCoreRangeTable rscmwdau_rngSIPTimer;
extern RsCoreRangeTable rscmwdau_rngSIPTimerSelection;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CACHE;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_RECORD_COERCIONS;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_INTERCHANGE_CHECK;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPY;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_VISA_RM_SESSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_IO_SESSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_IO_SESSION_TYPE;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_OPC_CALLBACK;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsCoreAttribute g_RSCMWDAU_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DAU_STATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SERVICE_STATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_SERVICE_STATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SERVICE_EXTERNAL_CONNECTION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SERVICE_IPV6_SUPPORT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_LAN_STATUS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_MTU;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_ADDRESS_SETUP_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_SUBNET_MASK;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_GATEWAY_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_ADDRESS_ADD;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_ADDRESS_DELETE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_QUERY_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_QUERY_SUBNET_MASK;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_QUERY_GATEWAY_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_ADDRESS_SETUP_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_STATIC_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_STATIC_DEFAULT_ROUTER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_QUERY_STATIC_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_QUERY_STATIC_DEFAULT_ROUTER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_MOBILE_PREFIX_SETUP_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_PREFIX_POOL_ENABLED;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_PREFIX_ADD;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_PREFIX_DELETE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_PREFIX_DELETE_BY_INDEX;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_ROUTING_SETUP_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_ROUTING_DELETE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_ROUTING_DELETE_BY_INDEX;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV6_ADDRESS_LENGTH;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_SERVER_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_QUERY_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_SERVER_FOREIGN_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_SERVER_USE_DHCP;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_ENTRY_DELETE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_APPLICATION_ENTRY_DELETE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_DOMAIN_TEST;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_DOMAIN_TEST_START;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_SERVER_RESPONSE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_FTP_SERVICE_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_FTP_ANONYMOUS_USER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_FTP_DATA_UPLOAD;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_STATUS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_STATUS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_ADVANCED_MOBILE_STATUS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_PUBLIC_USER_ID;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_PRIVATE_USER_ID;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_HOME_DOMAIN;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_PCSCF_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_SERVER_USAGE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_ADVANCED_SERVER_USAGE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_INTERN_ADDRESS_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_ADVANCED_INTERN_ADDRESS_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_EXTERN_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_EXTERN_IPV4_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_EXTERN_IPV6_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_PRIVATE_USER_ID;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_ALGORITHM;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_KEY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_RAND;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_AMF;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_AKA_VERSION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_RES_LENGTH;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_KEY_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_OPC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_OP;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_DEREGISTER_MOBILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_ADVANCED_IMS_DEREGISTER_MOBILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_IP_SEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_IP_SEC_INTEGRITY_ALGORITHM;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_IP_SEC_ENCRYPTION_ALGORITHM;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_PRECONDITIONS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_AUDIOROUTING;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_LOOPBACK;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_MEDIA_ENDPOINT_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_MEDIA_ENDPOINT_PORT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_AMR_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_CODEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_VIDEO_CODEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_CALL_ESTABLISH;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_VOICE_CALL_DISCONNECT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_VOICE_CALL_STATUS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_SMS_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_SMS_TEXT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_QUERY_SMS_STATUS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_CLEAN_GENERAL_INFO;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_TCP_KEEP_ALIVE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_SIP_TIMER_SELECTION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_SIP_TIMER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_THRESHOLD;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IMS_TRANSPORT_SELECTION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_CREATE_PCSCF_TAB;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DELETE_PCSCF_TAB;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_PCSCF_PROFILES;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PCSCF_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PCSCF_BEHAVIOR;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PCSCF_FAILURE_CODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PCSCF_RETRY_AFTER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_CREATE_SUBSCRIBER_TAB;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DELETE_SUBSCRIBER_TAB;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_SUBSCRIBER_PROFILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_PRIVATE_USER_ID;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_KEY_GENERATION_ALGORITHM;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION_KEY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION_MANAGEMENT_FIELD;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_OPC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_RES_LENGTH;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_IPSEC_ENABLE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_INTEGRITY_ALGORITHM;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_ENCRYPTION_ALGORITHM;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_PUBLIC_USER_ID;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_QCI;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SUBSCRIBER_PAU_HEADER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_CREATE_VIRTUAL_SUBSCRIBER_PROFILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DELETE_VIRTUAL_SUBSCRIBER_PROFILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_VIRTUAL_SUBSCRIBER_PROFILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_PUBLIC_USER_ID;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_BEHAVIOR;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SIGNALING_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_CODEC_VIDEO;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_VIDEO_ATTRIBUTES;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MEDIA_ENDPOINT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_VOICE_CODEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_ALIGNMENT_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_CODEC_RATES;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_DESTINATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_CALL_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_SIGNAL_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_ALIGNMENT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_CODEC_RATES;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_VIDEO_CODEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_VIDEO_ATTRIBUTES;
extern RsCoreAttribute g_RSCMWDAU_ATTR_INITIATE_VIRTUAL_SUBSCRIBER_VOICE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_DESTINATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_TEXT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_ENCODING;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_ADD_PARTICIPANT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_DELETE_PARTICIPANT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_PARTICIPANTS_CSV;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SEND_VIRTUAL_SUBSCRIBER_SMS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBED_SMS_SELECTED_FILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_START_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_HF_ONLY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_DTX;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_DTX_RECV;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_RATE_ENABLED;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CONFIGURATION_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_COMMON;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_SEND;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_RECEIVE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CMR;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CHAW;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_IO_MODE_CONFIG;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_BEARER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AUDIO_CODEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FORCE_CODEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_DESTINATION_LIST;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_DESTINATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_CHUNK_SIZE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_FILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_INITIATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_PCAP_FILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_VIDEO_CALL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_STANDALONE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_SESSION_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_FILE_TRANSFER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_INITIATE_UPDATE_CALL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_ID;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_AMR_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_AMR_ALIGNMENT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_CODEC_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_VIDEO_CODEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_AUDIO_CODEC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_VIDEO_ATTRIBUTES;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_IDS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVENT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_START_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_HF_ONLY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_DTX;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_DTX_RECV;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_RATE_ENABLED;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CONFIGURATION_MODE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_COMMON;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_SEND;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_RECEIVE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CMR;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CHAW;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_AMR_BITRATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_AMRWB_BITRATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_EVS_BANDWIDTH;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_EVS_BITRATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_REPETITION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_PERFORM_CALL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_UPDATE_CHAT_TEXT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_INITIATE_UPDATE_CHAT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SEND_UPDATE_CHAT_ACTIVE_NOTIFICATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SEND_UPDATE_CHAT_IDLE_NOTIFICATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_STATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_IPV4_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_IPV6_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_ID_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_ID_VALUE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_IKE_ENCRYPTION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_IKE_PRF;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_IKE_INTEGRITY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_DIFFIE_HELLMAN;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_ESP_ENCRYPTION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_ESP_INTEGRITY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_ENABLED;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_INTERVAL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_TIMEOUT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_SSL_ENABLE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_SERVER_KEY_FILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_SERVER_CERTIFICATE_FILE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_IMSI;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_PCSCF_IKEV2_AUTO;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_ALGORITHM;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_DATA_KEY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_RAND;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_AMF;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_KEY_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_OPC;
extern RsCoreAttribute g_RSCMWDAU_ATTR_EPDG_CLEARS_EVENT_LOG;
extern RsCoreAttribute g_RSCMWDAU_ATTR_APPLICATION_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_RAN_TECHNOLOGY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_RAN_ASSIGN;
extern RsCoreAttribute g_RSCMWDAU_ATTR_RAN_UPLINK_TRACE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_RAN_DOWNLINK_TRACE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PING_DESTINATION_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PING_INTERVAL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PING_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PING_COUNT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_PING_TIMEOUT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_THROUGHPUT_MEASUREMENT_POINTS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_THROUGHPUT_QUERY_MEASUREMENT_INTERVAL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_THROUGHPUT_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_THROUGHPUT_MAX_COUNT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DNS_REQUESTS_MAX_INDEX_COUNT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_LOGGING_INTERFACE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_LOGGING_FILE_SIZE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_LOGGING_PACKET_COUNTER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_LOGGING_PACKET_SNAP_LENGTH;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_LOGGING_LOG_FILE_NAME;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_STATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_TEST_DURATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_PROTOCOL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_PORT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_SOCKET_BUFFER_SIZE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_CLIENT_DESTINATION_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_CLIENT_PARALLEL_CONNECTIONS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_CLIENT_MAX_BIT_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_CLIENT_REVERSE_MODE_ENABLED;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_NAT_PARALLEL_CONNECTIONS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_NAT_MAX_BIT_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_PACKET_SIZE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPERF_TYPE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_STATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_ENABLE_SET;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_DELAY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_JITTER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_REORDERING_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_PACKETLOSS_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_DUPLICATES_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_CORRUPTION_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_JITTER_DISTRIBUTION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_TCP_ANALYSIS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_IP_CONNECT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_DPCP;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_FT_TRIGGER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_VOICE_OVER_IMS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_WINDOW;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_RETRANSMISSIONS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_THRESHOLD_ROUND_TRIP_TIME;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_OVERHEAD;
extern RsCoreAttribute g_RSCMWDAU_ATTR_FT_TRIGGER_ASSIGN_CONNECTION_TO_TRACE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_APPLICATION_SELECTED;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_LAYER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_STORE_DB;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_CLEAR_EVENT_LOG;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_DESTINATION_IP;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_LAYER_4_PROTOCOL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_TIMEOUT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_INITIATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_ABORT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_STATUS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_EXPORT_FILE_PATH;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_FLOW_FILTER_CONNECTIONS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_IMPORT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_ADD;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_DELETE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_SEARCH_LIST;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_REPLAY_REMOVE_FROM_PLAYLIST;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_REPLAY_PLAYLIST_START;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IP_REPLAY_PLAYLIST_STOP;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QUERY_IP_REPLAY_STATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_AUDIO_DELAY_MAXIMUM_SAMPLES;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QUERY_AUDIO_DELAY_INTERVAL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QUERY_AUDIO_DELAY_SAMPLE_INTERVAL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_ENABLED;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_ADD_FILTER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_FILTER_CATALOG;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_REMOVE_FILTER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_ENABLED;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_PROTOCOL;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_TCP_PRIORIZATION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_HOP_LIMIT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_PACKET_LOSS_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_DELAY;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_JITTER;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_JITTER_DISTRIBUTION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_REORDER_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_DUPLICATE_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_CORRUPT_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QOS_PROFILE_BIT_RATE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_INIT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_ABORT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_STOP;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_INIT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_ABORT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_STOP;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QUERY_PING_NO_REPLY_COUNT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QUERY_DNS_REQUESTS_COUNT;
extern RsCoreAttribute g_RSCMWDAU_ATTR_QUERY_SECURITY_APPLICATIONS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMWDAU_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSCMWDAU_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSCMWDAU_ATTR_IPV4_DNS_ADDRESS;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmwdau_RsCoreRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmwdau_RsCoreAttributeList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWDAU_ATTRIBUTES_HEADER */
