/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2020-10-23 10:39:26Z
 *****************************************************************************/

#include "rscmwdau.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsCoreRepCap rscmwdau_RsCoreRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "instance",
        "i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,i12,i13,i14,i15,i16",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
       },
       {
        "DNSType",
        "Primary,Secondary",
        "P,S"
       },
       {
        "service",
        "FTP,HTTP,DNS,IMS",
        "FTP,HTTP,DNS,IMS"
       },
       {
        "clientServer",
        "Client,Server,NAT",
        "CLI,SERV,NAT"
       },
       {
        "IPerfInstance",
        "iperf1,iperf2,iperf3,iperf4,iperf5,iperf6,iperf7,iperf8",
        "1,2,3,4,5,6,7,8"
       },
       {
        "measurement",
        "Ping,IPerf,Throughput,DNSRequests,IPLogging,IPAnalysis,IPReplay",
        "PING,IPER,THR,DNSR,IPL,IPAN,IPR"
       },
       {
        "DNSServer",
        "DNSPrimary,DNSSecondary",
        "PRIM,SEC"
       },
       {
        "IPVersion",
        "IPv4,IPv6",
        "IPVF,IPVS"
       },
       {
        "CodecIdx",
        "CodecInx0,CodecInx1,CodecInx2,CodecInx3,CodecInx4,CodecInx5,CodecInx6,CodecInx7,CodecInx8",
        "1,2,3,4,5,6,7,8,9"
       },
       {
        "Index",
        "IMP1,IMP2,IMP3,IMP4,IMP5,IMP6,IMP7",
        "1,2,3,4,5,6,7"
       },
       {
        "TraceIndex",
        "TI1,TI2,TI3,TI4,TI5,TI6,TI7,TI8,TI9,TI10",
        "1,2,3,4,5,6,7,8,9,10"
       },
       {
        "IMS",
        "IMS1,IMS2",
        "1,2"
       },
       {
        "Profile",
        "P1,P2,P3,P4,P5,P6,P7,P8,P9,P10",
        "1,2,3,4,5,6,7,8,9,10"
       },
       {
        "Subscriber",
        "S1,S2,S3,S4,S5",
        "1,2,3,4,5"
       },
       {
        "UserIndex",
        "UserIdx1,UserIdx2,UserIdx3,UserIdx4,UserIdx5,UserIdx6,UserIdx7,UserIdx8,UserIdx9,UserIdx10",
        "1,2,3,4,5,6,7,8,9,10"
       },
       {
        "VirtualSubscriber",
        "VS1,VS2,VS3,VS4,VS5,VS6,VS7,VS8,VS9,VS10,VS11,VS12,VS13,VS14,VS15,VS16,VS17,VS18,VS19,VS20",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20"
       },
       {
        "UserEquipment",
        "UE1,UE2,UE3,UE4,UE5",
        "1,2,3,4,5"
       },
       {
        "QoS",
        "QoS1,QoS2,QoS3,QoS4,QoS5,QoS6,QoS7,QoS8,QoS9,QoS10,QoS11,QoS12,QoS13,QoS14,QoS15",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15"
       },
       {
        "RAN",
        "RAN1,RAN2,RAN3,RAN4",
        "1,2,3,4"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableEntry rscmwdau_rngIPv4AddressSetupModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DHCP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPv4AddressSetupMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPv4AddressSetupModeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPv6AddressSetupModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ACON",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPv6AddressSetupMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPv6AddressSetupModeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngServiceStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEND",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ADJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COUP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngServiceState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngServiceStateEntries
};

static RsCoreRangeTableEntry rscmwdau_rngFTPServiceTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SERV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TGEN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngFTPServiceType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngFTPServiceTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngPingIntervalEntries[] =
{
  {
      /* discreteOrMinValue = */0.2,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngPingInterval =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwdau_rngPingIntervalEntries
};

static RsCoreRangeTableEntry rscmwdau_rngPingPayloadSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65507,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngPingPayloadSize =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"bytes",
  /* rangeValues = */rscmwdau_rngPingPayloadSizeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngPingCountEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngPingCount =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngPingCountEntries
};

static RsCoreRangeTableEntry rscmwdau_rngThroughputMeasurementPointsEntries[] =
{
  {
      /* discreteOrMinValue = */100,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngThroughputMeasurementPoints =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"Points",
  /* rangeValues = */rscmwdau_rngThroughputMeasurementPointsEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfTestDurationEntries[] =
{
  {
      /* discreteOrMinValue = */1.0,
      /* maxValue           = */1.0e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfTestDuration =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwdau_rngIPerfTestDurationEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfTCPWindowSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10240,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfTCPWindowSize =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"kB",
  /* rangeValues = */rscmwdau_rngIPerfTCPWindowSizeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfProtocolEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UDP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TCP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfProtocol =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPerfProtocolEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfPortEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfPort =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPerfPortEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfClientParallelConnectionsEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfClientParallelConnections =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPerfClientParallelConnectionsEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfMaxBitRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4e9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfMaxBitRate =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"bit/s",
  /* rangeValues = */rscmwdau_rngIPerfMaxBitRateEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfPacketSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65507,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfPacketSize =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPerfPacketSizeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPv6MobilePrefixSetupModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DHCP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPv6MobilePrefixSetupMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPv6MobilePrefixSetupModeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPv6RoutingSetupModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPv6RoutingSetupMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPv6RoutingSetupModeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngDNSServerTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IAF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FOR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngDNSServerType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngDNSServerTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSQueryStatusEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RUNN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ERR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSQueryStatus =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSQueryStatusEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSQueryMobileStatusEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UNR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EMER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TERM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSQueryMobileStatus =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSQueryMobileStatusEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSServerUsageEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSServerUsage =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSServerUsageEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSInternAddressTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPVF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPVS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSInternAddressType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSInternAddressTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSAuthenticationAlgorithEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"XOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSAuthenticationAlgorith =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSAuthenticationAlgorithEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSAuthenticationAKAVersionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AKA1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AKA2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HTTP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSAuthenticationAKAVersion =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSAuthenticationAKAVersionEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSAuthenticationRESLengthEntries[] =
{
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */128,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSAuthenticationRESLength =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSAuthenticationRESLengthEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSAuthenticationKeyTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OPC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSAuthenticationKeyType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSAuthenticationKeyTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSIPSecIntegrityAlgorithmEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HMMD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HMSH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSIPSecIntegrityAlgorithm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSIPSecIntegrityAlgorithmEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSIPSecEncryptionAlgorithmEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSIPSecEncryptionAlgorithm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSIPSecEncryptionAlgorithmEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSVoicePreconditionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WNPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIMP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSVoicePreconditions =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSVoicePreconditionsEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSVoiceMediaEndpointPortEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSVoiceMediaEndpointPort =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSVoiceMediaEndpointPortEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSVoiceTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VID",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSVoiceType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSVoiceTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSVoiceAMRTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NARR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WID",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EVS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSVoiceAMRType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSVoiceAMRTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSVoiceVideoCodecEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H263",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H264",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSVoiceVideoCodec =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSVoiceVideoCodecEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSQueryVoiceCallStatusEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOAC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CALL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CEST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */-1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSQueryVoiceCallStatus =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSQueryVoiceCallStatusEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSSMSTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TGPP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TGP2",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSSMSType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSSMSTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSQuerySMSStatusEntries[] =
{
  {
      /* discreteOrMinValue = */-1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SCOM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SFA",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSQuerySMSStatus =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSQuerySMSStatusEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPLoggingInterfaceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UPIP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UPPP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LAND",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UPM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UIPC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPLoggingInterface =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPLoggingInterfaceEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPLoggingPacketCounterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPLoggingPacketCounter =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPLoggingPacketCounterEntries
};

static RsCoreRangeTableEntry rscmwdau_rngNetworkImpairmentsDelayEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngNetworkImpairmentsDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwdau_rngNetworkImpairmentsDelayEntries
};

static RsCoreRangeTableEntry rscmwdau_rngNetworkImpairmentsJitterEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngNetworkImpairmentsJitter =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwdau_rngNetworkImpairmentsJitterEntries
};

static RsCoreRangeTableEntry rscmwdau_rngPctEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */100.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngPct =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"%",
  /* rangeValues = */rscmwdau_rngPctEntries
};

static RsCoreRangeTableEntry rscmwdau_rngNetworkImpairmentsJitterDistributionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UNIF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PAR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PNOR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngNetworkImpairmentsJitterDistribution =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngNetworkImpairmentsJitterDistributionEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPAnalysisTCPTresholdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPAnalysisTCPTreshold =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPAnalysisTCPTresholdEntries
};

static RsCoreRangeTableEntry rscmwdau_rngPingTimeoutEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngPingTimeout =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwdau_rngPingTimeoutEntries
};

static RsCoreRangeTableEntry rscmwdau_rngMTUEntries[] =
{
  {
      /* discreteOrMinValue = */552,
      /* maxValue           = */4096,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngMTU =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"byte",
  /* rangeValues = */rscmwdau_rngMTUEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSVoiceAudioroutingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FORW",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSVoiceAudiorouting =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSVoiceAudioroutingEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPAnalysisLayerEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FEAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"APP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPAnalysisLayer =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPAnalysisLayerEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPReplayStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RUN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RDY",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPReplayState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPReplayStateEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSubscriberAuthenticationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AKA1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AKA2",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSubscriberAuthentication =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSubscriberAuthenticationEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSubscriberKeyGenerationAlgorithmEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"XOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSubscriberKeyGenerationAlgorithm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSubscriberKeyGenerationAlgorithmEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSubscriberRESLengthEntries[] =
{
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */128,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSubscriberRESLength =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSubscriberRESLengthEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSubscriberIntegrityAlgorithmEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HMMD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HMSH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSubscriberIntegrityAlgorithm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSubscriberIntegrityAlgorithmEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSubscriberEncryptionAlgorithmEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSubscriberEncryptionAlgorithm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSubscriberEncryptionAlgorithmEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualSubscriberBehaviorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANSW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DECL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BUSY",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BEFR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AFTR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CD",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualSubscriberBehavior =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualSubscriberBehaviorEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualSubscriberSignalingTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PREC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIMP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REQU100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REQ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WOTPrec183",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EARL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualSubscriberSignalingType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualSubscriberSignalingTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualSubscriberCodecVideoEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H263",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H264",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualSubscriberCodecVideo =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualSubscriberCodecVideoEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualSubscriberMediaEndpointEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FORW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PCAP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualSubscriberMediaEndpoint =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualSubscriberMediaEndpointEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualSubscriberAMRAlignmentModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OCT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BAND",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualSubscriberAMRAlignmentMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualSubscriberAMRAlignmentModeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualSubscriberMTCCallTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VID",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualSubscriberMTCCallType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualSubscriberMTCCallTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualSubscriberMTCAMRAlignmentEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OCT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BAND",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualSubscriberMTCAMRAlignment =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualSubscriberMTCAMRAlignmentEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualSubscriberSMSTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GPP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GPP2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ACK",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PAG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LARG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RCSC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RCSG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GEN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualSubscriberSMSType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualSubscriberSMSTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGIDTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPVF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FQDN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPVS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KEY",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGIDType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGIDTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGIKEEncryptionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CBC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGIKEEncryption =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGIKEEncryptionEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGIKEPRFEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MD5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ePDGIKEPRF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGIKEPRF =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGIKEPRFEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGIKEIntegrityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MD5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHA1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"XCBC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGIKEIntegrity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGIKEIntegrityEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGDiffieHellmanEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GR1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GR2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GR5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GR14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GR15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GR16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GR17",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GR18",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGDiffieHellman =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGDiffieHellmanEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGESPEncryptionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CBC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGESPEncryption =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGESPEncryptionEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGDeadPeerDetectionIntervalEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGDeadPeerDetectionInterval =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGDeadPeerDetectionIntervalEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGDeadPeerDetectionTimeoutEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */10000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGDeadPeerDetectionTimeout =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGDeadPeerDetectionTimeoutEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGAuthenticationAlgorithmEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"XOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGAuthenticationAlgorithm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGAuthenticationAlgorithmEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGAuthenticationKeyTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OPC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGAuthenticationKeyType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGAuthenticationKeyTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngAudioDelayMaximumSamplesEntries[] =
{
  {
      /* discreteOrMinValue = */1500,
      /* maxValue           = */6000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngAudioDelayMaximumSamples =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngAudioDelayMaximumSamplesEntries
};

static RsCoreRangeTableEntry rscmwdau_rngPCSCFFailureCodeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BADR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FORB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOTF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UNAV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BUSY",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngPCSCFFailureCode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngPCSCFFailureCodeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngPCSCFBehaviorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FAIL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngPCSCFBehavior =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngPCSCFBehaviorEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPvTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPvType =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPvTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPv6AddressLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L17",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPv6AddressLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPv6AddressLengthEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSubscriberQCIEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSubscriberQCI =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSubscriberQCIEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSThresholdEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSThreshold =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSThresholdEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIMSTransportSelectionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TCP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UDP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CUST",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIMSTransportSelection =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIMSTransportSelectionEntries
};

static RsCoreRangeTableEntry rscmwdau_rngUpdateCallEventEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HOLD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RES",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngUpdateCallEvent =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngUpdateCallEventEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSStartModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EAMR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSStartMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSStartModeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSHFOnlyEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BOTH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HEAD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSHFOnly =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSHFOnlyEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSDTXEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ENAB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSDTX =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSDTXEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSConfigurationModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COMM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SEND",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSConfigurationMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSConfigurationModeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSBandwidthCommonEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SWB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NBWB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NBSW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NBFB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSBandwidthCommon =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSBandwidthCommonEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSCMREntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ENAB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSCMR =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSCMREntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSCHAWEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NUS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TWO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"THR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FIVE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SEV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSCHAW =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSCHAWEntries
};

static RsCoreRangeTableEntry rscmwdau_rngFileTransferTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FIL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LARG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngFileTransferType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngFileTransferTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSMSEncodingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NENC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BASE64",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSMSEncoding =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSMSEncodingEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IP3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPerfTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngQoSProfileProtocolEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ALL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TCP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UDP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngQoSProfileProtocol =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngQoSProfileProtocolEntries
};

static RsCoreRangeTableEntry rscmwdau_rngQoSProfilePLREntries[] =
{
  {
      /* discreteOrMinValue = */0.00,
      /* maxValue           = */0.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngQoSProfilePLR =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"%",
  /* rangeValues = */rscmwdau_rngQoSProfilePLREntries
};

static RsCoreRangeTableEntry rscmwdau_rngQoSProfileDelayEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngQoSProfileDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwdau_rngQoSProfileDelayEntries
};

static RsCoreRangeTableEntry rscmwdau_rngQoSProfileJitterDistributionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UNIF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PAR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PNOR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngQoSProfileJitterDistribution =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngQoSProfileJitterDistributionEntries
};

static RsCoreRangeTableEntry rscmwdau_rngQoSProfileBitRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100.0e+9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngQoSProfileBitRate =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngQoSProfileBitRateEntries
};

static RsCoreRangeTableEntry rscmwdau_rngApplicationTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OVER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"THR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DNSR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUD",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngApplicationType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngApplicationTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngThroughputTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OVER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngThroughputType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngThroughputTypeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngVirtualAudioCodecEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NARR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WID",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EVS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngVirtualAudioCodec =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngVirtualAudioCodecEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSBandwidthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SWB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WBCA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SWBC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEAC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSBandwidth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSBandwidthEntries
};

static RsCoreRangeTableEntry rscmwdau_rngCMRRepetitionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ENDL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONCE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngCMRRepetition =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngCMRRepetitionEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSBitrateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR59",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR72",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR80",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR96",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P132",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P164",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P244",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P320",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P480",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P640",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P960",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P1280",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW66",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW885",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW1265",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW1425",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW1585",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW1825",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW1985",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AW2305",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AWB2385",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SLO2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SLO3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SLO5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */25,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SLO7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHO2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */27,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHO3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHO5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */29,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHO7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WLO2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */31,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WLO3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WLO5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */33,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WLO7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */34,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WHO2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */35,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WHO3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */36,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WHO5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */37,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WHO7",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSBitrate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSBitrateEntries
};

static RsCoreRangeTableEntry rscmwdau_rngAMRBitratesEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R475",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R515",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R590",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R670",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R740",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R795",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1020",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1220",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngAMRBitrates =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngAMRBitratesEntries
};

static RsCoreRangeTableEntry rscmwdau_rngAMRWBBitratesEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R660",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R885",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1265",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1425",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1585",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1825",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1985",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2305",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA2385",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngAMRWBBitrates =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngAMRWBBitratesEntries
};

static RsCoreRangeTableEntry rscmwdau_rngePDGStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEND",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ADJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COUP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngePDGState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngePDGStateEntries
};

static RsCoreRangeTableEntry rscmwdau_rngThroughputMaxCountEntries[] =
{
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */3600,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngThroughputMaxCount =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngThroughputMaxCountEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPLoggingPacketSnapLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPLoggingPacketSnapLength =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPLoggingPacketSnapLengthEntries
};

static RsCoreRangeTableEntry rscmwdau_rngDNSRequestsMaxIndexCountEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngDNSRequestsMaxIndexCount =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngDNSRequestsMaxIndexCountEntries
};

static RsCoreRangeTableEntry rscmwdau_rngLANStatusEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOTC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngLANStatus =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngLANStatusEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSubscriberPAUHeaderEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CORE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RECN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COGE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REGE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REGD",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSubscriberPAUHeader =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSubscriberPAUHeaderEntries
};

static RsCoreRangeTableEntry rscmwdau_rngEVSIOModeConfigEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EVS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AMRW",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngEVSIOModeConfig =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngEVSIOModeConfigEntries
};

static RsCoreRangeTableEntry rscmwdau_rngFilterConnectionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CLOS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OPEN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BOTH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngFilterConnections =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngFilterConnectionsEntries
};

static RsCoreRangeTableEntry rscmwdau_rngLayer4ProtocolEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TCP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UDP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngLayer4Protocol =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngLayer4ProtocolEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPAnalysisPortScanTimeoutEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */5000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPAnalysisPortScanTimeout =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPAnalysisPortScanTimeoutEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPAnalysisPortScanEventLogStatusEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPAnalysisPortScanEventLogStatus =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPAnalysisPortScanEventLogStatusEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSocketBufferSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10240,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSocketBufferSize =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"kByte",
  /* rangeValues = */rscmwdau_rngSocketBufferSizeEntries
};

static RsCoreRangeTableEntry rscmwdau_rngIPerfNATParallelConnectionsEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngIPerfNATParallelConnections =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngIPerfNATParallelConnectionsEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSIPTimerEntries[] =
{
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */600e3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSIPTimer =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"ms",
  /* rangeValues = */rscmwdau_rngSIPTimerEntries
};

static RsCoreRangeTableEntry rscmwdau_rngSIPTimerSelectionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CUST",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwdau_rngSIPTimerSelection =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwdau_rngSIPTimerSelectionEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_COERCEABLE_ONLY_BY_INSTR | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DAU_STATE =
{
  /* constant           = */RSCMWDAU_ATTR_DAU_STATE,
#if defined (_DEBUG)
  /* debug name         = */"DAU State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngServiceState,
  /* command            = */"SOUR:DATA:CONT:STAT",
  /* integerDefault     = */RSCMWDAU_VAL_SERVICE_ON,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SERVICE_STATE =
{
  /* constant           = */RSCMWDAU_ATTR_SERVICE_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Service State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngServiceState,
  /* command            = */"SOUR:DATA:CONT:{service}:STAT",
  /* integerDefault     = */RSCMWDAU_VAL_SERVICE_ON,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_SERVICE_STATE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_SERVICE_STATE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Service State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:DATA:CONT:IMS{IMS}:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SERVICE_EXTERNAL_CONNECTION =
{
  /* constant           = */RSCMWDAU_ATTR_SERVICE_EXTERNAL_CONNECTION,
#if defined (_DEBUG)
  /* debug name         = */"Service External Connection",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:{service}:ENC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SERVICE_IPV6_SUPPORT =
{
  /* constant           = */RSCMWDAU_ATTR_SERVICE_IPV6_SUPPORT,
#if defined (_DEBUG)
  /* debug name         = */"Service IPv6 Support",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:{service}:IPVS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_LAN_STATUS =
{
  /* constant           = */RSCMWDAU_ATTR_LAN_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"LAN Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngLANStatus,
  /* command            = */"SENS:DATA:CONT:LAN:DAU:STAT?",
  /* integerDefault     = */RSCMWDAU_VAL_LAN_STATUS_NOTC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_MTU =
{
  /* constant           = */RSCMWDAU_ATTR_MTU,
#if defined (_DEBUG)
  /* debug name         = */"MTU",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngMTU,
  /* command            = */"CONF:DATA:CONT:MTU",
  /* integerDefault     = */1500,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_ADDRESS_SETUP_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_ADDRESS_SETUP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Address Setup Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPv4AddressSetupMode,
  /* command            = */"CONF:DATA:CONT:IPVF:ADDR:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IPV4_ADDRESS_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVF:STAT:IPAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"192.168.168.17",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_SUBNET_MASK =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_SUBNET_MASK,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Subnet Mask",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVF:STAT:SMAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"255.255.255.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_GATEWAY_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_GATEWAY_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Gateway Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVF:STAT:GIP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"192.168.168.1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_ADDRESS_ADD =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_ADDRESS_ADD,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Address Add",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVF:STAT:ADDR:ADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_ADDRESS_DELETE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_ADDRESS_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Address Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVF:STAT:ADDR:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_QUERY_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_QUERY_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Query IP Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IPVF:CURR:IPAD?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_QUERY_SUBNET_MASK =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_QUERY_SUBNET_MASK,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Query Subnet Mask",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IPVF:CURR:SMAS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_QUERY_GATEWAY_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_QUERY_GATEWAY_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Query Gateway Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IPVF:CURR:GIP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPvType,
  /* command            = */"CONF:DATA:CONT:EPDG:PCSC:IPVF:TYPE",
  /* integerDefault     = */20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_ADDRESS_SETUP_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_ADDRESS_SETUP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Address Setup Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPv6AddressSetupMode,
  /* command            = */"CONF:DATA:CONT:IPVS:ADDR:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IPV6_ADDRESS_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_STATIC_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_STATIC_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Static Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVS:STAT:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"fcb1:cafe::1/64",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_STATIC_DEFAULT_ROUTER =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_STATIC_DEFAULT_ROUTER,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Static Default Router",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVS:STAT:DRO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"fcb1:cafe::1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_QUERY_STATIC_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_QUERY_STATIC_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Query Static Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IPVS:CURR:IPAD?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_QUERY_STATIC_DEFAULT_ROUTER =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_QUERY_STATIC_DEFAULT_ROUTER,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Query Static Default Router",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IPVS:CURR:DRO?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_MOBILE_PREFIX_SETUP_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_MOBILE_PREFIX_SETUP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Mobile Prefix Setup Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPv6MobilePrefixSetupMode,
  /* command            = */"CONF:DATA:CONT:IPVS:MOB:PREF:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IPV6_PREFIX_STAT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_PREFIX_POOL_ENABLED =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_PREFIX_POOL_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Prefix Pool Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVS:PREF:POOL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_PREFIX_ADD =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_PREFIX_ADD,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Prefix Add",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVS:STAT:PREF:ADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_PREFIX_DELETE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_PREFIX_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Prefix Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVS:STAT:PREF:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_PREFIX_DELETE_BY_INDEX =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_PREFIX_DELETE_BY_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Prefix Delete By Index",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVS:STAT:PREF:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_ROUTING_SETUP_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_ROUTING_SETUP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Routing Setup Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPv6RoutingSetupMode,
  /* command            = */"CONF:DATA:CONT:IPVS:ROUT:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IPV6_ROUTING_MANUAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_ROUTING_DELETE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_ROUTING_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Routing Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVS:MAN:ROUT:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_ROUTING_DELETE_BY_INDEX =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_ROUTING_DELETE_BY_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Routing Delete By Index",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVS:MAN:ROUT:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPvType,
  /* command            = */"CONF:DATA:CONT:EPDG:PCSC:IPVS:TYPE",
  /* integerDefault     = */21,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV6_ADDRESS_LENGTH =
{
  /* constant           = */RSCMWDAU_ATTR_IPV6_ADDRESS_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"IPv6 Address Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPv6AddressLength,
  /* command            = */"CONF:DATA:CONT:EPDG:PCSC:IPVS:ADDR:LENG",
  /* integerDefault     = */RSCMWDAU_VAL_IPV6_ADDRESS_LENGTH_L16,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_SERVER_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_SERVER_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DNS Server Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngDNSServerType,
  /* command            = */"CONF:DATA:CONT:DNS:{DNSServer}:STYP",
  /* integerDefault     = */RSCMWDAU_VAL_DNS_INTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_QUERY_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_QUERY_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"DNS Query IP Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:DNS:CURR:{IPVersion}:{DNSServer}:ADDR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_SERVER_FOREIGN_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_SERVER_FOREIGN_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"DNS Server Foreign Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:DNS:FOR:{IPVersion}:{DNSServer}:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_SERVER_USE_DHCP =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_SERVER_USE_DHCP,
#if defined (_DEBUG)
  /* debug name         = */"DNS Server Use DHCP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:DNS:FOR:{IPVersion}:{DNSServer}:UDHC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_ENTRY_DELETE =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_ENTRY_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"DNS Entry Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:DNS:LOC:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_APPLICATION_ENTRY_DELETE =
{
  /* constant           = */RSCMWDAU_ATTR_APPLICATION_ENTRY_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"Application Entry Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:DNS:ASER:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_DOMAIN_TEST =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_DOMAIN_TEST,
#if defined (_DEBUG)
  /* debug name         = */"DNS Domain Test",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:DNS:TEST:DOM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_DOMAIN_TEST_START =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_DOMAIN_TEST_START,
#if defined (_DEBUG)
  /* debug name         = */"DNS Domain Test Start",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:DNS:TEST:STAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_SERVER_RESPONSE =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_SERVER_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"DNS Server Response",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:DNS:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_FTP_SERVICE_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_FTP_SERVICE_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"FTP Service Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngFTPServiceType,
  /* command            = */"CONF:DATA:CONT:FTP:STYP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_FTP_ANONYMOUS_USER =
{
  /* constant           = */RSCMWDAU_ATTR_FTP_ANONYMOUS_USER,
#if defined (_DEBUG)
  /* debug name         = */"FTP Anonymous User",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:FTP:AUS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_FTP_DATA_UPLOAD =
{
  /* constant           = */RSCMWDAU_ATTR_FTP_DATA_UPLOAD,
#if defined (_DEBUG)
  /* debug name         = */"FTP Data Upload",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:FTP:DUPL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_STATUS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSQueryStatus,
  /* command            = */"SENS:DATA:CONT:IMS:PCSC:STAT?",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_STATUS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_MOBILE_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query Mobile Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSQueryMobileStatus,
  /* command            = */"SENS:DATA:CONT:IMS:MOB:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_ADVANCED_MOBILE_STATUS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_ADVANCED_MOBILE_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query Advanced Mobile Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSQueryMobileStatus,
  /* command            = */"SENS:DATA:CONT:IMS{IMS}:MOB{UserEquipment}:STAT?",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_MOBILE_UNREGISTERED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_MOBILE_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query Mobile IP Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IMS:MOB:IPAD?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_PUBLIC_USER_ID =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_MOBILE_PUBLIC_USER_ID,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query Mobile Public User ID",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IMS:MOB:UID:PUBL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_PRIVATE_USER_ID =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_MOBILE_PRIVATE_USER_ID,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query Mobile Private User ID",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IMS:MOB:UID:PRIV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_HOME_DOMAIN =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_MOBILE_HOME_DOMAIN,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query Mobile Home Domain",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IMS:MOB:HDOM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_PCSCF_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_PCSCF_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query P-CSCF Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IMS:INT:PCSC:ADDR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_SERVER_USAGE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_SERVER_USAGE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Server Usage",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSServerUsage,
  /* command            = */"CONF:DATA:CONT:IMS:SUS",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_SERVER_USAGE_INTERN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_ADVANCED_SERVER_USAGE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_ADVANCED_SERVER_USAGE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Advanced Server Usage",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSServerUsage,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUS",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_SERVER_USAGE_INTERN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_INTERN_ADDRESS_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_INTERN_ADDRESS_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Intern Address Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSInternAddressType,
  /* command            = */"CONF:DATA:CONT:IMS:INT:PCSC:ATYP",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_ADDRESS_TYPE_IPV4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_ADVANCED_INTERN_ADDRESS_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_ADVANCED_INTERN_ADDRESS_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Advanced Intern Address Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSInternAddressType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:INT:PCSC:ATYP",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_ADDRESS_TYPE_IPV4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_EXTERN_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_EXTERN_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Extern IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:EXT:PCSC:ADDR:{IPVersion}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_EXTERN_IPV4_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_EXTERN_IPV4_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Extern IPv4 Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:EXT:PCSC:ADDR:IPVF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_EXTERN_IPV6_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_EXTERN_IPV6_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Extern IPv6 Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:EXT:PCSC:ADDR:IPVS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_PRIVATE_USER_ID =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_PRIVATE_USER_ID,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication Private User ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:PUID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"ISIM-private@3gpp.org",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_ALGORITHM =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSAuthenticationAlgorith,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:ALG",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_AUTH_ALGORITHM_XOR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_KEY =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_KEY,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication Key",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:KEY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"000102030405060708090A0B0C0D0E0F",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_RAND =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_RAND,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication RAND",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:RAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"55555555555555555555555555555555",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_AMF =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_AMF,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication AMF",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:AMF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"8000",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_AKA_VERSION =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_AKA_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication AKA Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSAuthenticationAKAVersion,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:AKAV",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_AKA_VERSION_1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_RES_LENGTH =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_RES_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication RES Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSAuthenticationRESLength,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:RESL",
  /* integerDefault     = */32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_KEY_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_KEY_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication Key Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSAuthenticationKeyType,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:KTYP",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_KEY_TYPE_OPC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_OPC =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_OPC,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication OPC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:AOPC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"CB9DCDC5B9258E6DCA4760379FB82581",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_OP =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_AUTHENTICATION_OP,
#if defined (_DEBUG)
  /* debug name         = */"IMS Authentication OP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:AOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"CD63CB71954A9F4E48A5994E37A02BAF",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_DEREGISTER_MOBILE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_DEREGISTER_MOBILE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Deregister Mobile",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:MOB:DER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_ADVANCED_IMS_DEREGISTER_MOBILE =
{
  /* constant           = */RSCMWDAU_ATTR_ADVANCED_IMS_DEREGISTER_MOBILE,
#if defined (_DEBUG)
  /* debug name         = */"Advanced IMS Deregister Mobile",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:MOB{UserEquipment}:DER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_IP_SEC =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_IP_SEC,
#if defined (_DEBUG)
  /* debug name         = */"IMS IP Sec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:IPS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_IP_SEC_INTEGRITY_ALGORITHM =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_IP_SEC_INTEGRITY_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"IMS IP Sec Integrity Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSIPSecIntegrityAlgorithm,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:IPS:IALG",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_IP_SEC_HMSH,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_IP_SEC_ENCRYPTION_ALGORITHM =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_IP_SEC_ENCRYPTION_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"IMS IP Sec Encryption Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSIPSecEncryptionAlgorithm,
  /* command            = */"CONF:DATA:CONT:IMS:UAUT:IPS:EALG",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_ENCRYPTION_NO_ENC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_PRECONDITIONS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_PRECONDITIONS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Preconditions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoicePreconditions,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:PREC",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_VOICE_WITH_PRECONDITIONS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_AUDIOROUTING =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_AUDIOROUTING,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Audiorouting",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoiceAudiorouting,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:AUD",
  /* integerDefault     = */RSCMWDAU_VAL_AUDIO_ROUTING_LOOPBACK,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_LOOPBACK =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_LOOPBACK,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Loopback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:LOOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_MEDIA_ENDPOINT_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_MEDIA_ENDPOINT_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Media Endpoint IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:MEND:IPAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"127.0.0.1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_MEDIA_ENDPOINT_PORT =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_MEDIA_ENDPOINT_PORT,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Media Endpoint Port",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoiceMediaEndpointPort,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:MEND:PORT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoiceType,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_VOICE_TYPE_AUDIO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_AMR_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_AMR_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice AMR Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoiceAMRType,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:AMRT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_CODEC =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:COD{CodecIdx}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_VIDEO_CODEC =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_VIDEO_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Video Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoiceVideoCodec,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:VCOD",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_VIDEO_CODEC_H263,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_CALL_ESTABLISH =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_CALL_ESTABLISH,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Call Establish",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:CALL:EST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_VOICE_CALL_DISCONNECT =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_VOICE_CALL_DISCONNECT,
#if defined (_DEBUG)
  /* debug name         = */"IMS Voice Call Disconnect",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:VOIC:CALL:DISC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_VOICE_CALL_STATUS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_VOICE_CALL_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query Voice Call Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSQueryVoiceCallStatus,
  /* command            = */"SENS:DATA:CONT:IMS:VOIC:CALL:STAT?",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_CALL_STATUS_NO_ACTION,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_SMS_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_SMS_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IMS SMS Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSSMSType,
  /* command            = */"CONF:DATA:CONT:IMS:SMS:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_SMS_TYPE_3GPP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_SMS_TEXT =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_SMS_TEXT,
#if defined (_DEBUG)
  /* debug name         = */"IMS SMS Text",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS:SMS:TEXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_QUERY_SMS_STATUS =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_QUERY_SMS_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"IMS Query SMS Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSQuerySMSStatus,
  /* command            = */"SENS:DATA:CONT:IMS:SMS:SEND:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_CLEAN_GENERAL_INFO =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_CLEAN_GENERAL_INFO,
#if defined (_DEBUG)
  /* debug name         = */"IMS Clean General Info",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:CLE:GEN:INFO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_TCP_KEEP_ALIVE =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_TCP_KEEP_ALIVE,
#if defined (_DEBUG)
  /* debug name         = */"IMS TCP Keep Alive",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:TCP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_SIP_TIMER_SELECTION =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_SIP_TIMER_SELECTION,
#if defined (_DEBUG)
  /* debug name         = */"IMS SIP Timer Selection",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSIPTimerSelection,
  /* command            = */"CONF:DATA:CONT:IMS2:SIP:TIM:CASE:SEL",
  /* integerDefault     = */RSCMWDAU_IMS_SIP_TIMER_SELECTION_DEFAULT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_SIP_TIMER =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_SIP_TIMER,
#if defined (_DEBUG)
  /* debug name         = */"IMS SIP Timer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngSIPTimer,
  /* command            = */"CONF:DATA:CONT:IMS2:SIP:TIM:VAL",
  /* integerDefault     = */0,
  /* doubleDefault      = */2000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_THRESHOLD =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_THRESHOLD,
#if defined (_DEBUG)
  /* debug name         = */"IMS Threshold",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSThreshold,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:THR:VAL",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IMS_TRANSPORT_SELECTION =
{
  /* constant           = */RSCMWDAU_ATTR_IMS_TRANSPORT_SELECTION,
#if defined (_DEBUG)
  /* debug name         = */"IMS Transport Selection",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSTransportSelection,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:TRAN:SEL",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_TRANSPORT_SELECTION_DEF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_CREATE_PCSCF_TAB =
{
  /* constant           = */RSCMWDAU_ATTR_CREATE_PCSCF_TAB,
#if defined (_DEBUG)
  /* debug name         = */"Create P-CSCF Tab",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:PCSC:ADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DELETE_PCSCF_TAB =
{
  /* constant           = */RSCMWDAU_ATTR_DELETE_PCSCF_TAB,
#if defined (_DEBUG)
  /* debug name         = */"Delete P-CSCF Tab",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:PCSC{Profile}:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_PCSCF_PROFILES =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_PCSCF_PROFILES,
#if defined (_DEBUG)
  /* debug name         = */"Update P-CSCF Profiles",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:PCSC:CRE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PCSCF_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_PCSCF_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"P-CSCF IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:PCSC{Profile}:IPAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"172.22.1.201",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PCSCF_BEHAVIOR =
{
  /* constant           = */RSCMWDAU_ATTR_PCSCF_BEHAVIOR,
#if defined (_DEBUG)
  /* debug name         = */"P-CSCF Behavior",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngPCSCFBehavior,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:PCSC{Profile}:BEH",
  /* integerDefault     = */RSCMWDAU_VAL_BEHAVIOR_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PCSCF_FAILURE_CODE =
{
  /* constant           = */RSCMWDAU_ATTR_PCSCF_FAILURE_CODE,
#if defined (_DEBUG)
  /* debug name         = */"P-CSCF Failure Code",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngPCSCFFailureCode,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:PCSC{Profile}:FAIL",
  /* integerDefault     = */RSCMWDAU_VAL_BAD_REQUEST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PCSCF_RETRY_AFTER =
{
  /* constant           = */RSCMWDAU_ATTR_PCSCF_RETRY_AFTER,
#if defined (_DEBUG)
  /* debug name         = */"P-CSCF Retry After",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:PCSC{Profile}:RETR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_CREATE_SUBSCRIBER_TAB =
{
  /* constant           = */RSCMWDAU_ATTR_CREATE_SUBSCRIBER_TAB,
#if defined (_DEBUG)
  /* debug name         = */"Create Subscriber Tab",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS:ADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DELETE_SUBSCRIBER_TAB =
{
  /* constant           = */RSCMWDAU_ATTR_DELETE_SUBSCRIBER_TAB,
#if defined (_DEBUG)
  /* debug name         = */"Delete Subscriber Tab",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_SUBSCRIBER_PROFILE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_SUBSCRIBER_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Update Subscriber Profile",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS:CRE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_PRIVATE_USER_ID =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_PRIVATE_USER_ID,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber Private User ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:PRIV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"001010123456789@test.3gpp.com",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber Authentication",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSubscriberAuthentication,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:AUTH:SCH",
  /* integerDefault     = */RSCMWDAU_VAL_NO_AUTHENTICATION,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_KEY_GENERATION_ALGORITHM =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_KEY_GENERATION_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber Key Generation Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSubscriberKeyGenerationAlgorithm,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:AUTH:ALG",
  /* integerDefault     = */RSCMWDAU_VAL_GENERATION_ALGORITHM_XOR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION_KEY =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION_KEY,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber Authentication Key",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:AUTH:KEY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"000102030405060708090A0B0C0D0E0F",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION_MANAGEMENT_FIELD =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION_MANAGEMENT_FIELD,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber Authentication Management Field",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:AUTH:AMF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0000",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_OPC =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_OPC,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber OPC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:AUTH:OPC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"cb9dcdc5b9258e6dca4760379fb82581",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_RES_LENGTH =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_RES_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber RES Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSubscriberRESLength,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:RESL",
  /* integerDefault     = */32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_IPSEC_ENABLE =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_IPSEC_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber IPSec Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:IPS:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_INTEGRITY_ALGORITHM =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_INTEGRITY_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber Integrity Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSubscriberIntegrityAlgorithm,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:IPS:ALG:INT",
  /* integerDefault     = */RSCMWDAU_VAL_INTEGRITY_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_ENCRYPTION_ALGORITHM =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_ENCRYPTION_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber Encryption Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSubscriberEncryptionAlgorithm,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:IPS:ALG:ENCR",
  /* integerDefault     = */RSCMWDAU_VAL_ENCRYPTION_NONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_PUBLIC_USER_ID =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_PUBLIC_USER_ID,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber Public User ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:PUBL{UserIndex}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"1220",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_QCI =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_QCI,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber QCI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSubscriberQCI,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:CHAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SUBSCRIBER_PAU_HEADER =
{
  /* constant           = */RSCMWDAU_ATTR_SUBSCRIBER_PAU_HEADER,
#if defined (_DEBUG)
  /* debug name         = */"Subscriber PAU Header",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSubscriberPAUHeader,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:SUBS{Subscriber}:IMPU:HEAD",
  /* integerDefault     = */RSCMWDAU_VAL_PAU_HEADER_CONR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_CREATE_VIRTUAL_SUBSCRIBER_PROFILE =
{
  /* constant           = */RSCMWDAU_ATTR_CREATE_VIRTUAL_SUBSCRIBER_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Create Virtual Subscriber Profile",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT:ADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DELETE_VIRTUAL_SUBSCRIBER_PROFILE =
{
  /* constant           = */RSCMWDAU_ATTR_DELETE_VIRTUAL_SUBSCRIBER_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Delete Virtual Subscriber Profile",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_VIRTUAL_SUBSCRIBER_PROFILE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_VIRTUAL_SUBSCRIBER_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Update Virtual Subscriber Profile",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT:CRE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_PUBLIC_USER_ID =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_PUBLIC_USER_ID,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Public User ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_BEHAVIOR =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_BEHAVIOR,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Behavior",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberBehavior,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:BEH",
  /* integerDefault     = */RSCMWDAU_VAL_ANSWER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SIGNALING_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SIGNALING_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Signaling Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberSignalingType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:SIGN",
  /* integerDefault     = */RSCMWDAU_VAL_WITHOUT_PRECONDITION,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_CODEC_VIDEO =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_CODEC_VIDEO,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Codec Video",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberCodecVideo,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:VID:COD",
  /* integerDefault     = */RSCMWDAU_VAL_VIDEO_CODEC_H263,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_VIDEO_ATTRIBUTES =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_VIDEO_ATTRIBUTES,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Video Attributes",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:VID:ATTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MEDIA_ENDPOINT =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MEDIA_ENDPOINT,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Media Endpoint",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberMediaEndpoint,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MED",
  /* integerDefault     = */RSCMWDAU_VAL_LOOP_BACK,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_VOICE_CODEC =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_VOICE_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber AMR Voice Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoiceAMRType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:AMR:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_VOICE_AMR_NARROWBAND,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_ALIGNMENT_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_ALIGNMENT_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber AMR Alignment Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberAMRAlignmentMode,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:AMR:ALIG",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_MODE_OCTET_ALIGNED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_CODEC_RATES =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_CODEC_RATES,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber AMR Codec Rates",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:AMR:COD{CodecIdx}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_DESTINATION =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_DESTINATION,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber MTC Destination",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:DEST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_CALL_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_CALL_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber MTC Call Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberMTCCallType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_CALL_TYPE_AUDIO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_SIGNAL_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_SIGNAL_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber MTC Signal Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberSignalingType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:SIGT",
  /* integerDefault     = */RSCMWDAU_VAL_WITHOUT_PRECONDITION,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber MTC AMR Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoiceAMRType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:AMR:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_VOICE_AMR_NARROWBAND,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_ALIGNMENT =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_ALIGNMENT,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber MTC AMR Alignment",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberMTCAMRAlignment,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:AMR:ALIG",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_VOICE_AMR_OCTET_ALIGNED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_CODEC_RATES =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_CODEC_RATES,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber MTC AMR Codec Rates",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:AMR:COD{CodecIdx}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_VIDEO_CODEC =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_VIDEO_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber MTC AMR Video Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberCodecVideo,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:VID:COD",
  /* integerDefault     = */RSCMWDAU_VAL_VIDEO_CODEC_H263,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_VIDEO_ATTRIBUTES =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_VIDEO_ATTRIBUTES,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber MTC AMR Video Attributes",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:VID:ATTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_INITIATE_VIRTUAL_SUBSCRIBER_VOICE =
{
  /* constant           = */RSCMWDAU_ATTR_INITIATE_VIRTUAL_SUBSCRIBER_VOICE,
#if defined (_DEBUG)
  /* debug name         = */"Initiate Virtual Subscriber Voice",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTC:CALL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_DESTINATION =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_DESTINATION,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber SMS Destination",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTSM:DEST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber SMS Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberSMSType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTSM:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_SMS_TYPE_3GPP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_TEXT =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_TEXT,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber SMS Text",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTSM:TEXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_ENCODING =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_ENCODING,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber SMS Encoding",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSMSEncoding,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTSM:ENC",
  /* integerDefault     = */RSCMWDAU_VAL_SMS_ENCODING_NONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_ADD_PARTICIPANT =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_ADD_PARTICIPANT,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Group Chat Add Participant",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:RCS:GRPC:PART:ADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"newParticipant",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_DELETE_PARTICIPANT =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_DELETE_PARTICIPANT,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Group Chat Delete Participant",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:RCS:GRPC:PART:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"newParticipant",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_PARTICIPANTS_CSV =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_PARTICIPANTS_CSV,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Group Chat Participants CSV",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IMS2:RCS:PART:LIST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"list",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SEND_VIRTUAL_SUBSCRIBER_SMS =
{
  /* constant           = */RSCMWDAU_ATTR_SEND_VIRTUAL_SUBSCRIBER_SMS,
#if defined (_DEBUG)
  /* debug name         = */"Send Virtual Subscriber SMS",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTSM:SEND",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBED_SMS_SELECTED_FILE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBED_SMS_SELECTED_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscribed SMS Selected File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:VIRT{VirtualSubscriber}:MTSM:IMP:FILE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"import",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_START_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_START_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS Start Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSStartMode,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:STAR",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_START_MODE_PRIMARY,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_HF_ONLY =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_HF_ONLY,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS HF Only",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSHFOnly,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:HFON",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_HF_ONLY_NP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_DTX =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_DTX,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS DTX",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSDTX,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:DTX",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_DTX_NP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_DTX_RECV =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_DTX_RECV,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS DTX Recv",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSDTX,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:DTXR",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_DTX_NP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_RATE_ENABLED =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_RATE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS Rate Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:COD{CodecIdx}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CONFIGURATION_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CONFIGURATION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS Configuration Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSConfigurationMode,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:SYNC:SEL",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_CONFIG_MODE_COMMON,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_COMMON =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_COMMON,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS Bandwidth Common",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSBandwidthCommon,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:BWC",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_BW_COMMON_NB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_SEND =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_SEND,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS Bandwidth Send",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSBandwidthCommon,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:SEND:BW",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_BW_COMMON_NB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_RECEIVE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_RECEIVE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS Bandwidth Receive",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSBandwidthCommon,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:REC:BW",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_BW_COMMON_NB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CMR =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CMR,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS CMR",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSCMR,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:CMR",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_CMR_NP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CHAW =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CHAW,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS CHAW",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSCHAW,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:CHAW",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_CHAW_DISABLED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_IO_MODE_CONFIG =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_IO_MODE_CONFIG,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber EVS IO Mode Config",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSIOModeConfig,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:EVS:IO:MODE:CONF",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_IO_MODE_CONFIG_EVS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_BEARER =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_BEARER,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Bearer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:BEAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AUDIO_CODEC =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AUDIO_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Audio Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualAudioCodec,
  /* command            = */"CONF:DATA:CONT:IMS2:VIRT{VirtualSubscriber}:ADC:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_CODEC_NARROWBAND,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FORCE_CODEC =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FORCE_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Force Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:FORC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_DESTINATION_LIST =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_DESTINATION_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber File Transfer Destination List",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTF:DEST:LIST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_DESTINATION =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_DESTINATION,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber File Transfer Destination",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTF:DEST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber File Transfer Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngFileTransferType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTF:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_MTF_TYPE_FILE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_CHUNK_SIZE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_CHUNK_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber File Transfer Chunk Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:VIRT{VirtualSubscriber}:MTF:CHUN",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_FILE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber File Transfer File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTF:FILE:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"filename",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_INITIATE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_INITIATE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber File Transfer Initiate",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:MTF:SEND",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_PCAP_FILE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_PCAP_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber PCAP File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:VIRT{VirtualSubscriber}:PCAP:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"filename",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_VIDEO_CALL =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_VIDEO_CALL,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Feature Video Call",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:VIRT{VirtualSubscriber}:SUPP:FEAT:VID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_STANDALONE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_STANDALONE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Feature Standalone",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:VIRT{VirtualSubscriber}:SUPP:FEAT:STAN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_SESSION_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_SESSION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Feature Session Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:VIRT{VirtualSubscriber}:SUPP:FEAT:SESS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_FILE_TRANSFER =
{
  /* constant           = */RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_FILE_TRANSFER,
#if defined (_DEBUG)
  /* debug name         = */"Virtual Subscriber Feature File Transfer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:VIRT{VirtualSubscriber}:SUPP:FEAT:FIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_INITIATE_UPDATE_CALL =
{
  /* constant           = */RSCMWDAU_ATTR_INITIATE_UPDATE_CALL,
#if defined (_DEBUG)
  /* debug name         = */"Initiate Update Call",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:PERF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_ID =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_ID,
#if defined (_DEBUG)
  /* debug name         = */"Update Call ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:CALL:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_AMR_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_AMR_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call AMR Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIMSVoiceAMRType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:AMR:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_VOICE_AMR_NARROWBAND,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_AMR_ALIGNMENT =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_AMR_ALIGNMENT,
#if defined (_DEBUG)
  /* debug name         = */"Update Call AMR Alignment",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberMTCAMRAlignment,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:AMR:ALIG",
  /* integerDefault     = */RSCMWDAU_VAL_IMS_VOICE_AMR_OCTET_ALIGNED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_CODEC_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_CODEC_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Codec Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:AMR:COD{CodecIdx}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_VIDEO_CODEC =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_VIDEO_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Video Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberCodecVideo,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:VID:COD",
  /* integerDefault     = */RSCMWDAU_VAL_VIDEO_CODEC_H263,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_AUDIO_CODEC =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_AUDIO_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Audio Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualAudioCodec,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:ADC:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_CODEC_NARROWBAND,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_VIDEO_ATTRIBUTES =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_VIDEO_ATTRIBUTES,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Video Attributes",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:VID:ATTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngVirtualSubscriberMTCCallType,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:CALL:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_CALL_TYPE_AUDIO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_IDS =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_IDS,
#if defined (_DEBUG)
  /* debug name         = */"Update Call IDs",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:CONT:IMS{IMS}:REL:LIST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVENT =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVENT,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Event",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngUpdateCallEvent,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:CALL:EVEN",
  /* integerDefault     = */RSCMWDAU_VAL_UPDATE_CALL_EVENT_HOLD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_START_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_START_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS Start Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSStartMode,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:STAR",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_START_MODE_PRIMARY,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_HF_ONLY =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_HF_ONLY,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS HF Only",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSHFOnly,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:HFON",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_HF_ONLY_NP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_DTX =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_DTX,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS DTX",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSDTX,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:DTX",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_DTX_NP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_DTX_RECV =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_DTX_RECV,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS DTX Recv",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSDTX,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:DTXR",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_DTX_NP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_RATE_ENABLED =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_RATE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS Rate Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:COD{CodecIdx}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CONFIGURATION_MODE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_CONFIGURATION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS Configuration Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSConfigurationMode,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:SYNC:SEL",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_CONFIG_MODE_COMMON,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_COMMON =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_COMMON,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS Bandwidth Common",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSBandwidthCommon,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:BWC",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_BW_COMMON_NB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_SEND =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_SEND,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS Bandwidth Send",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSBandwidthCommon,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:SEND:BW",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_BW_COMMON_NB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_RECEIVE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_RECEIVE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS Bandwidth Receive",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSBandwidthCommon,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:REC:BW",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_BW_COMMON_NB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CMR =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_CMR,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS CMR",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSCMR,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:CMR",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_CMR_NP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CHAW =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_EVS_CHAW,
#if defined (_DEBUG)
  /* debug name         = */"Update Call EVS CHAW",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSCHAW,
  /* command            = */"CONF:DATA:CONT:IMS{IMS}:UPD:EVS:CHAW",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_CHAW_DISABLED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_AMR_BITRATE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_INBAND_AMR_BITRATE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Inband AMR Bitrate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngAMRBitrates,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:INB:AMRN:COD:RAT",
  /* integerDefault     = */RSCMWDAU_VAL_AMR_NOREQ,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_AMRWB_BITRATE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_INBAND_AMRWB_BITRATE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Inband AMR-WB Bitrate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngAMRWBBitrates,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:INB:AMRW:COD:RAT",
  /* integerDefault     = */RSCMWDAU_VAL_AMRWB_NOREQ,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_EVS_BANDWIDTH =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_INBAND_EVS_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Inband EVS Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSBandwidth,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:INB:EVS:BW",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_BW_NB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_EVS_BITRATE =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_INBAND_EVS_BITRATE,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Inband EVS Bitrate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngEVSBitrate,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:INB:EVS:COD:RAT",
  /* integerDefault     = */RSCMWDAU_VAL_EVS_BITRATE_PR59,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_REPETITION =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_INBAND_REPETITION,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Inband Repetition",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngCMRRepetition,
  /* command            = */"CONF:DATA:CONT:IMS:UPD:INB:REP",
  /* integerDefault     = */RSCMWDAU_VAL_CMR_ENDLESS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_PERFORM_CALL =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CALL_INBAND_PERFORM_CALL,
#if defined (_DEBUG)
  /* debug name         = */"Update Call Inband Perform Call",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:INB:PERF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_UPDATE_CHAT_TEXT =
{
  /* constant           = */RSCMWDAU_ATTR_UPDATE_CHAT_TEXT,
#if defined (_DEBUG)
  /* debug name         = */"Update Chat Text",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:RCS:CHAT:TEXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Test Message",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_INITIATE_UPDATE_CHAT =
{
  /* constant           = */RSCMWDAU_ATTR_INITIATE_UPDATE_CHAT,
#if defined (_DEBUG)
  /* debug name         = */"Initiate Update Chat",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:RCS:CHAT:PERF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SEND_UPDATE_CHAT_ACTIVE_NOTIFICATION =
{
  /* constant           = */RSCMWDAU_ATTR_SEND_UPDATE_CHAT_ACTIVE_NOTIFICATION,
#if defined (_DEBUG)
  /* debug name         = */"Send Update Chat Active Notification",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:RCS:COMP:NTFC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SEND_UPDATE_CHAT_IDLE_NOTIFICATION =
{
  /* constant           = */RSCMWDAU_ATTR_SEND_UPDATE_CHAT_IDLE_NOTIFICATION,
#if defined (_DEBUG)
  /* debug name         = */"Send Update Chat Idle Notification",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IMS2:UPD:RCS:IDLE:NTFC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_STATE =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_STATE,
#if defined (_DEBUG)
  /* debug name         = */"ePDG State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGState,
  /* command            = */"SOUR:DATA:CONT:EPDG:STAT",
  /* integerDefault     = */RSCMWDAU_VAL_EPDG_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_IPV4_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_IPV4_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"ePDG IPv4 Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:ADDR:IPVF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"192.168.1.201",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_IPV6_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_IPV6_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"ePDG IPv6 Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:ADDR:IPVS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"fc01::1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_ID_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_ID_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ePDG ID Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGIDType,
  /* command            = */"CONF:DATA:CONT:EPDG:ID:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_ID_FQDN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_ID_VALUE =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_ID_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"ePDG ID Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:ID:VAL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Epdg.rs.org",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_IKE_ENCRYPTION =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_IKE_ENCRYPTION,
#if defined (_DEBUG)
  /* debug name         = */"ePDG IKE Encryption",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGIKEEncryption,
  /* command            = */"CONF:DATA:CONT:EPDG:IKE:ENCR",
  /* integerDefault     = */RSCMWDAU_VAL_ENCRYPTION_AES_CBC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_IKE_PRF =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_IKE_PRF,
#if defined (_DEBUG)
  /* debug name         = */"ePDG IKE PRF",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGIKEPRF,
  /* command            = */"CONF:DATA:CONT:EPDG:IKE:PRF",
  /* integerDefault     = */RSCMWDAU_VAL_PRF_FUNCTION_SHA1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_IKE_INTEGRITY =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_IKE_INTEGRITY,
#if defined (_DEBUG)
  /* debug name         = */"ePDG IKE Integrity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGIKEIntegrity,
  /* command            = */"CONF:DATA:CONT:EPDG:IKE:INT",
  /* integerDefault     = */RSCMWDAU_VAL_INTEGRITY_SHA1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_DIFFIE_HELLMAN =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_DIFFIE_HELLMAN,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Diffie Hellman",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGDiffieHellman,
  /* command            = */"CONF:DATA:CONT:EPDG:IKE:DHGR",
  /* integerDefault     = */RSCMWDAU_VAL_DIFFIE_HELLMAN_GROUP_TWO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_ESP_ENCRYPTION =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_ESP_ENCRYPTION,
#if defined (_DEBUG)
  /* debug name         = */"ePDG ESP Encryption",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGESPEncryption,
  /* command            = */"CONF:DATA:CONT:EPDG:ESP:ENCR",
  /* integerDefault     = */RSCMWDAU_VAL_ENCRYPTION_AES_CBC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_ESP_INTEGRITY =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_ESP_INTEGRITY,
#if defined (_DEBUG)
  /* debug name         = */"ePDG ESP Integrity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGIKEIntegrity,
  /* command            = */"CONF:DATA:CONT:EPDG:ESP:INT",
  /* integerDefault     = */RSCMWDAU_VAL_INTEGRITY_SHA1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_ENABLED =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Dead Peer Detection Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:DPD:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_INTERVAL =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Dead Peer Detection Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGDeadPeerDetectionInterval,
  /* command            = */"CONF:DATA:CONT:EPDG:DPD:INT",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_TIMEOUT =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Dead Peer Detection Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGDeadPeerDetectionTimeout,
  /* command            = */"CONF:DATA:CONT:EPDG:DPD:TIM",
  /* integerDefault     = */10,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_SSL_ENABLE =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_SSL_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"ePDG SSL Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:CERT:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_SERVER_KEY_FILE =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_SERVER_KEY_FILE,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Server Key File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:CERT:KEY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_SERVER_CERTIFICATE_FILE =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_SERVER_CERTIFICATE_FILE,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Server Certificate File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:CERT:CERT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_IMSI =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_IMSI,
#if defined (_DEBUG)
  /* debug name         = */"ePDG IMSI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:AUTH:IMSI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"001010123456789",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_PCSCF_IKEV2_AUTO =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_PCSCF_IKEV2_AUTO,
#if defined (_DEBUG)
  /* debug name         = */"ePDG PCSCF IKEv2 Auto",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:PCSC:AUTO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_ALGORITHM =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_AUTHENTICATION_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Authentication Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGAuthenticationAlgorithm,
  /* command            = */"CONF:DATA:CONT:EPDG:AUTH:ALG",
  /* integerDefault     = */RSCMWDAU_VAL_ALGORITHM_XOR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_DATA_KEY =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_AUTHENTICATION_DATA_KEY,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Authentication Data Key",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:AUTH:KEY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"000102030405060708090A0B0C0D0E0F",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_RAND =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_AUTHENTICATION_RAND,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Authentication RAND",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:AUTH:RAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"55555555555555555555555555555555",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_AMF =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_AUTHENTICATION_AMF,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Authentication AMF",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:AUTH:AMF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0000",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_KEY_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_AUTHENTICATION_KEY_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Authentication Key Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngePDGAuthenticationKeyType,
  /* command            = */"CONF:DATA:CONT:EPDG:AUTH:KEY:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_KEY_TYPE_OPC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_OPC =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_AUTHENTICATION_OPC,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Authentication OPc",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:AUTH:OPC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"CD63CB71954A9F4E48A5994E37A02BAF",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwdau_stringToHex_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_stringToHex_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_EPDG_CLEARS_EVENT_LOG =
{
  /* constant           = */RSCMWDAU_ATTR_EPDG_CLEARS_EVENT_LOG,
#if defined (_DEBUG)
  /* debug name         = */"ePDG Clears Event Log",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:EPDG:CLE:GEN:INFO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_APPLICATION_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_APPLICATION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Application Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngApplicationType,
  /* command            = */"CONF:DATA:MEAS{instance}:SEL:APP",
  /* integerDefault     = */RSCMWDAU_VAL_APP_TYPE_OVER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_RAN_TECHNOLOGY =
{
  /* constant           = */RSCMWDAU_ATTR_RAN_TECHNOLOGY,
#if defined (_DEBUG)
  /* debug name         = */"RAN Technology",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:RAN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"No Connection",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_RAN_ASSIGN =
{
  /* constant           = */RSCMWDAU_ATTR_RAN_ASSIGN,
#if defined (_DEBUG)
  /* debug name         = */"RAN Assign",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:THR:RAN{RAN}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_RAN_UPLINK_TRACE =
{
  /* constant           = */RSCMWDAU_ATTR_RAN_UPLINK_TRACE,
#if defined (_DEBUG)
  /* debug name         = */"RAN Uplink Trace",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:THR:RAN:TRAC:ULIN{RAN}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_RAN_DOWNLINK_TRACE =
{
  /* constant           = */RSCMWDAU_ATTR_RAN_DOWNLINK_TRACE,
#if defined (_DEBUG)
  /* debug name         = */"RAN Downlink Trace",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:THR:RAN:TRAC:DLIN{RAN}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PING_DESTINATION_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_PING_DESTINATION_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"Ping Destination Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:PING:DIP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"172.22.1.1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PING_INTERVAL =
{
  /* constant           = */RSCMWDAU_ATTR_PING_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"Ping Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngPingInterval,
  /* command            = */"CONF:DATA:MEAS{instance}:PING:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PING_PAYLOAD_SIZE =
{
  /* constant           = */RSCMWDAU_ATTR_PING_PAYLOAD_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"Ping Payload Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngPingPayloadSize,
  /* command            = */"CONF:DATA:MEAS{instance}:PING:PSIZ",
  /* integerDefault     = */100,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PING_COUNT =
{
  /* constant           = */RSCMWDAU_ATTR_PING_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Ping Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngPingCount,
  /* command            = */"CONF:DATA:MEAS{instance}:PING:PCO",
  /* integerDefault     = */100,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_PING_TIMEOUT =
{
  /* constant           = */RSCMWDAU_ATTR_PING_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Ping Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngPingTimeout,
  /* command            = */"CONF:DATA:MEAS{instance}:PING:TIM",
  /* integerDefault     = */0,
  /* doubleDefault      = */2.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_THROUGHPUT_MEASUREMENT_POINTS =
{
  /* constant           = */RSCMWDAU_ATTR_THROUGHPUT_MEASUREMENT_POINTS,
#if defined (_DEBUG)
  /* debug name         = */"Throughput Measurement Points",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngThroughputMeasurementPoints,
  /* command            = */"CONF:DATA:MEAS{instance}:THR:MCO",
  /* integerDefault     = */1000,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_THROUGHPUT_QUERY_MEASUREMENT_INTERVAL =
{
  /* constant           = */RSCMWDAU_ATTR_THROUGHPUT_QUERY_MEASUREMENT_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"Throughput Query Measurement Interval",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:MEAS{instance}:THR:INT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_THROUGHPUT_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_THROUGHPUT_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Throughput Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngThroughputType,
  /* command            = */"CONF:DATA:MEAS{instance}:SEL:THR",
  /* integerDefault     = */RSCMWDAU_VAL_THROUGH_TYPE_OVER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_THROUGHPUT_MAX_COUNT =
{
  /* constant           = */RSCMWDAU_ATTR_THROUGHPUT_MAX_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Throughput Max Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngThroughputMaxCount,
  /* command            = */"CONF:DATA:MEAS{instance}:THR:RAN:MCO",
  /* integerDefault     = */5,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DNS_REQUESTS_MAX_INDEX_COUNT =
{
  /* constant           = */RSCMWDAU_ATTR_DNS_REQUESTS_MAX_INDEX_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"DNS Requests Max Index Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngDNSRequestsMaxIndexCount,
  /* command            = */"CONF:DATA:MEAS{instance}:DNSR:MIC",
  /* integerDefault     = */1000,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_LOGGING_INTERFACE =
{
  /* constant           = */RSCMWDAU_ATTR_IP_LOGGING_INTERFACE,
#if defined (_DEBUG)
  /* debug name         = */"IP Logging Interface",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPLoggingInterface,
  /* command            = */"CONF:DATA:MEAS{instance}:IPL:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IP_LOGGING_INTERFACE_IP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_LOGGING_FILE_SIZE =
{
  /* constant           = */RSCMWDAU_ATTR_IP_LOGGING_FILE_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"IP Logging File Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPL:FSIZ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_LOGGING_PACKET_COUNTER =
{
  /* constant           = */RSCMWDAU_ATTR_IP_LOGGING_PACKET_COUNTER,
#if defined (_DEBUG)
  /* debug name         = */"IP Logging Packet Counter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPLoggingPacketCounter,
  /* command            = */"CONF:DATA:MEAS{instance}:IPL:PCO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_LOGGING_PACKET_SNAP_LENGTH =
{
  /* constant           = */RSCMWDAU_ATTR_IP_LOGGING_PACKET_SNAP_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"IP Logging Packet Snap Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPLoggingPacketSnapLength,
  /* command            = */"CONF:DATA:MEAS{instance}:IPL:PSL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_LOGGING_LOG_FILE_NAME =
{
  /* constant           = */RSCMWDAU_ATTR_IP_LOGGING_LOG_FILE_NAME,
#if defined (_DEBUG)
  /* debug name         = */"IP Logging Log File Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:MEAS{instance}:IPL:FNAM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_STATE =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_STATE,
#if defined (_DEBUG)
  /* debug name         = */"IPerf State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:{clientServer}{IPerfInstance}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_TEST_DURATION =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_TEST_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Test Duration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngIPerfTestDuration,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:TDUR",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e3,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_PROTOCOL =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_PROTOCOL,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Protocol",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPerfProtocol,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:{clientServer}{IPerfInstance}:PROT",
  /* integerDefault     = */RSCMWDAU_VAL_IPERF_PROTOCOL_TCP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_PORT =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_PORT,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Port",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPerfPort,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:{clientServer}{IPerfInstance}:PORT",
  /* integerDefault     = */5001,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_SOCKET_BUFFER_SIZE =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_SOCKET_BUFFER_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Socket Buffer Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngSocketBufferSize,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:{clientServer}{IPerfInstance}:SBS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_CLIENT_DESTINATION_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_CLIENT_DESTINATION_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Client Destination Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:CLI{IPerfInstance}:IPAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"172.22.1.1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_CLIENT_PARALLEL_CONNECTIONS =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_CLIENT_PARALLEL_CONNECTIONS,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Client Parallel Connections",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPerfClientParallelConnections,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:CLI{IPerfInstance}:PCON",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_CLIENT_MAX_BIT_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_CLIENT_MAX_BIT_RATE,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Client Max Bit Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngIPerfMaxBitRate,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:CLI{IPerfInstance}:BITR",
  /* integerDefault     = */0,
  /* doubleDefault      = */1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_CLIENT_REVERSE_MODE_ENABLED =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_CLIENT_REVERSE_MODE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Client Reverse Mode Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:CLI{IPerfInstance}:REV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_NAT_PARALLEL_CONNECTIONS =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_NAT_PARALLEL_CONNECTIONS,
#if defined (_DEBUG)
  /* debug name         = */"IPerf NAT Parallel Connections",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPerfNATParallelConnections,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:NAT{IPerfInstance}:PCON",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_NAT_MAX_BIT_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_NAT_MAX_BIT_RATE,
#if defined (_DEBUG)
  /* debug name         = */"IPerf NAT Max Bit Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngIPerfMaxBitRate,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:NAT{IPerfInstance}:BITR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_PACKET_SIZE =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_PACKET_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Packet Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPerfPacketSize,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:PSIZ",
  /* integerDefault     = */1470,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPERF_TYPE =
{
  /* constant           = */RSCMWDAU_ATTR_IPERF_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IPerf Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPerfType,
  /* command            = */"CONF:DATA:MEAS{instance}:IPER:TYPE",
  /* integerDefault     = */RSCMWDAU_VAL_IPERF_TYPE_IPERF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_STATE =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:DATA:MEAS{instance}:NIMP:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_ENABLE_SET =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_ENABLE_SET,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments Enable Set",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:IPAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"172.22.1.100",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_DELAY =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngNetworkImpairmentsDelay,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_JITTER =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_JITTER,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments Jitter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngNetworkImpairmentsJitter,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:JITT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_REORDERING_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_REORDERING_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments Reordering Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngPct,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:RRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_PACKETLOSS_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_PACKETLOSS_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments Packetloss Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngPct,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:PLR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_DUPLICATES_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_DUPLICATES_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments Duplicates Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngPct,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:DRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_CORRUPTION_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_CORRUPTION_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments Corruption Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngPct,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:CRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_JITTER_DISTRIBUTION =
{
  /* constant           = */RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_JITTER_DISTRIBUTION,
#if defined (_DEBUG)
  /* debug name         = */"Network Impairments Jitter Distribution",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngNetworkImpairmentsJitterDistribution,
  /* command            = */"CONF:DATA:MEAS{instance}:NIMP{Index}:JDIS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_TCP_ANALYSIS =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_TCP_ANALYSIS,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Result TCP Analysis",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:RES:TCP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_IP_CONNECT =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_IP_CONNECT,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Result IP Connect",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:RES:IPC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_DPCP =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_DPCP,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Result DPCP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:RES:DPCP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_FT_TRIGGER =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_FT_TRIGGER,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Result FT Trigger",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:RES:FTTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_VOICE_OVER_IMS =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_VOICE_OVER_IMS,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Result Voice Over IMS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:RES:VOIM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_WINDOW =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_WINDOW,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis TCP Threshold Window",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngIPAnalysisTCPTreshold,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:TCP:TWST",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_RETRANSMISSIONS =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_RETRANSMISSIONS,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis TCP Threshold Retransmissions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngIPAnalysisTCPTreshold,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:TCP:TRTH",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_THRESHOLD_ROUND_TRIP_TIME =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_TCP_THRESHOLD_ROUND_TRIP_TIME,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis TCP Threshold Round Trip Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngIPAnalysisTCPTreshold,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:TCP:RTTT",
  /* integerDefault     = */0,
  /* doubleDefault      = */35,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_OVERHEAD =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_OVERHEAD,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis TCP Threshold Overhead",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngIPAnalysisTCPTreshold,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:TCP:TOTH",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_FT_TRIGGER_ASSIGN_CONNECTION_TO_TRACE =
{
  /* constant           = */RSCMWDAU_ATTR_FT_TRIGGER_ASSIGN_CONNECTION_TO_TRACE,
#if defined (_DEBUG)
  /* debug name         = */"FT Trigger Assign Connection To Trace",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:FTTR:TRAC{TraceIndex}:TFL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_APPLICATION_SELECTED =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_APPLICATION_SELECTED,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Application Selected",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:DPCP:DPAP:APP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Application",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_LAYER =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_LAYER,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Layer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPAnalysisLayer,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:DPCP:DPL:LAY",
  /* integerDefault     = */RSCMWDAU_VAL_IP_ANALYSIS_LAYER_APP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_STORE_DB =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_STORE_DB,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Store Db",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:EXP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_CLEAR_EVENT_LOG =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_CLEAR_EVENT_LOG,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Port Scan Clear Event Log",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:PRTS:CLE:GEN:INFO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_DESTINATION_IP =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_DESTINATION_IP,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Port Scan Destination IP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:PRTS:DEST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"192.168.1.1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_LAYER_4_PROTOCOL =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_LAYER_4_PROTOCOL,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Port Scan Layer 4 Protocol",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngLayer4Protocol,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:PRTS:LAY:PROT",
  /* integerDefault     = */RSCMWDAU_VAL_LAYER_4_PROTOCOL_TCP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_TIMEOUT =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Port Scan Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPAnalysisPortScanTimeout,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:PRTS:TIM",
  /* integerDefault     = */20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_INITIATE =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_INITIATE,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Port Scan Initiate",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:PRTS:STAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_ABORT =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Port Scan Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:PRTS:STOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_STATUS =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Port Scan Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:MEAS{instance}:IPAN:IPCS:PRTS:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_EXPORT_FILE_PATH =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_EXPORT_FILE_PATH,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Port Scan Export File Path",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:MEAS{instance}:IPAN:EXP:FILE:PATH?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"test.txt",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_FLOW_FILTER_CONNECTIONS =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_FLOW_FILTER_CONNECTIONS,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Flow Filter Connections",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngFilterConnections,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:FILT:CONN",
  /* integerDefault     = */RSCMWDAU_VAL_FILTER_CONNECTIONS_BOTH,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_IMPORT =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_IMPORT,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Keyword Import",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:KYW:SEAR:IMP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"test.txt",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_ADD =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_ADD,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Keyword Add",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:KYW:SEAR:ADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"keyword",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_DELETE =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Keyword Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPAN:IPCS:KYW:SEAR:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"keyword",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_SEARCH_LIST =
{
  /* constant           = */RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_SEARCH_LIST,
#if defined (_DEBUG)
  /* debug name         = */"IP Analysis Keyword Search List",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:MEAS{instance}:IPAN:IPCS:KYW:SEAR:LIST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"keywords",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_REPLAY_REMOVE_FROM_PLAYLIST =
{
  /* constant           = */RSCMWDAU_ATTR_IP_REPLAY_REMOVE_FROM_PLAYLIST,
#if defined (_DEBUG)
  /* debug name         = */"IP Replay Remove From Playlist",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPR:REM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_REPLAY_PLAYLIST_START =
{
  /* constant           = */RSCMWDAU_ATTR_IP_REPLAY_PLAYLIST_START,
#if defined (_DEBUG)
  /* debug name         = */"IP Replay Playlist Start",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPR:PLAY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IP_REPLAY_PLAYLIST_STOP =
{
  /* constant           = */RSCMWDAU_ATTR_IP_REPLAY_PLAYLIST_STOP,
#if defined (_DEBUG)
  /* debug name         = */"IP Replay Playlist Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:IPR:STOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QUERY_IP_REPLAY_STATE =
{
  /* constant           = */RSCMWDAU_ATTR_QUERY_IP_REPLAY_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Query IP Replay State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngIPReplayState,
  /* command            = */"FETC:DATA:MEAS{instance}:IPR:STAT?",
  /* integerDefault     = */RSCMWDAU_VAL_IP_REPLAY_STATE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_AUDIO_DELAY_MAXIMUM_SAMPLES =
{
  /* constant           = */RSCMWDAU_ATTR_AUDIO_DELAY_MAXIMUM_SAMPLES,
#if defined (_DEBUG)
  /* debug name         = */"Audio Delay Maximum Samples",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngAudioDelayMaximumSamples,
  /* command            = */"CONF:DATA:MEAS{instance}:ADEL:MSAM",
  /* integerDefault     = */3000,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QUERY_AUDIO_DELAY_INTERVAL =
{
  /* constant           = */RSCMWDAU_ATTR_QUERY_AUDIO_DELAY_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"Query Audio Delay Interval",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:ADEL:SAMP?",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QUERY_AUDIO_DELAY_SAMPLE_INTERVAL =
{
  /* constant           = */RSCMWDAU_ATTR_QUERY_AUDIO_DELAY_SAMPLE_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"Query Audio Delay Sample Interval",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:ADEL:SPIN?",
  /* integerDefault     = */50,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_ENABLED =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"QoS Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:DATA:MEAS{instance}:QOS:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_ADD_FILTER =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_ADD_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"QoS Add Filter",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT:ADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_FILTER_CATALOG =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_FILTER_CATALOG,
#if defined (_DEBUG)
  /* debug name         = */"QoS Filter Catalog",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:DATA:MEAS{instance}:QOS:FILT:CAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"catalog",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_REMOVE_FILTER =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_REMOVE_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"QoS Remove Filter",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:REM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_ENABLED =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_IP_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:IPAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"172.22.1.100",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_PROTOCOL =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_PROTOCOL,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Protocol",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngQoSProfileProtocol,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:PROT",
  /* integerDefault     = */RSCMWDAU_VAL_QOS_PROTOCOL_ALL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_TCP_PRIORIZATION =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_TCP_PRIORIZATION,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile TCP Priorization",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:TCP:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_HOP_LIMIT =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_HOP_LIMIT,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Hop Limit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngSubscriberQCI,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:HOPL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_PACKET_LOSS_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_PACKET_LOSS_RATE,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Packet Loss Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngQoSProfilePLR,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:PLR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_DELAY =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngQoSProfileDelay,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_JITTER =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_JITTER,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Jitter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngQoSProfileDelay,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:JITT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_JITTER_DISTRIBUTION =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_JITTER_DISTRIBUTION,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Jitter Distribution",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwdau_rngQoSProfileJitterDistribution,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:JDIS",
  /* integerDefault     = */RSCMWDAU_VAL_QOS_JITTER_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_REORDER_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_REORDER_RATE,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Reorder Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngQoSProfilePLR,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:RRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_DUPLICATE_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_DUPLICATE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Duplicate Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngQoSProfilePLR,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:DRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_CORRUPT_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_CORRUPT_RATE,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Corrupt Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngQoSProfilePLR,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:CRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QOS_PROFILE_BIT_RATE =
{
  /* constant           = */RSCMWDAU_ATTR_QOS_PROFILE_BIT_RATE,
#if defined (_DEBUG)
  /* debug name         = */"QoS Profile Bit Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwdau_rngQoSProfileBitRate,
  /* command            = */"CONF:DATA:MEAS{instance}:QOS:FILT{QoS}:BITR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_INIT =
{
  /* constant           = */RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_INIT,
#if defined (_DEBUG)
  /* debug name         = */"Data Appliaction Measurement Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:DATA:MEAS{instance}:{measurement}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_ABORT =
{
  /* constant           = */RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"Data Appliaction Measurement Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:DATA:MEAS{instance}:{measurement}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_STOP =
{
  /* constant           = */RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_STOP,
#if defined (_DEBUG)
  /* debug name         = */"Data Appliaction Measurement Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:DATA:MEAS{instance}:{measurement}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_INIT =
{
  /* constant           = */RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_INIT,
#if defined (_DEBUG)
  /* debug name         = */"Data Application Measurement Audio Delay Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:DATA:MEAS{instance}:ADEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_ABORT =
{
  /* constant           = */RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"Data Application Measurement Audio Delay Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:DATA:MEAS{instance}:ADEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_STOP =
{
  /* constant           = */RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_STOP,
#if defined (_DEBUG)
  /* debug name         = */"Data Application Measurement Audio Delay Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:DATA:MEAS{instance}:ADEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QUERY_PING_NO_REPLY_COUNT =
{
  /* constant           = */RSCMWDAU_ATTR_QUERY_PING_NO_REPLY_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Query Ping No Reply Count",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"FETC:DATA:MEAS{instance}:PING:NRC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QUERY_DNS_REQUESTS_COUNT =
{
  /* constant           = */RSCMWDAU_ATTR_QUERY_DNS_REQUESTS_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Query DNS Requests Count",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:MEAS{instance}:DNSR:RCO?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_QUERY_SECURITY_APPLICATIONS =
{
  /* constant           = */RSCMWDAU_ATTR_QUERY_SECURITY_APPLICATIONS,
#if defined (_DEBUG)
  /* debug name         = */"Query Security Applications",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:DATA:MEAS{instance}:IPAN:IPCS:APPL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"application",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SYSTEM_VERSION =
{
  /* constant           = */RSCMWDAU_ATTR_SYSTEM_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:VERSion?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SYSTEM_ERROR =
{
  /* constant           = */RSCMWDAU_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERRor?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SYSTEM_ALL_ERRORS =
{
  /* constant           = */RSCMWDAU_ATTR_SYSTEM_ALL_ERRORS,
#if defined (_DEBUG)
  /* debug name         = */"System All Errors",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_SYSTEM_PRESET =
{
  /* constant           = */RSCMWDAU_ATTR_SYSTEM_PRESET,
#if defined (_DEBUG)
  /* debug name         = */"System Preset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSCMWDAU_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"*IDN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz,CMW,1201.0002k50/110552,3.7.120",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWDAU_ATTR_IPV4_DNS_ADDRESS =
{
  /* constant           = */RSCMWDAU_ATTR_IPV4_DNS_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IPv4 DNS Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:DATA:CONT:IPVF:STAT:DNS{DNSType}:IPAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"192.168.168.1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwdau_doubleQuotedString_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsCoreAttributePtr rscmwdau_RsCoreAttributeList[] =
{
&g_RSCMWDAU_RS_ATTR_RANGE_CHECK,
&g_RSCMWDAU_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSCMWDAU_RS_ATTR_CACHE,
&g_RSCMWDAU_RS_ATTR_SIMULATE,
&g_RSCMWDAU_RS_ATTR_RECORD_COERCIONS,
&g_RSCMWDAU_RS_ATTR_INTERCHANGE_CHECK,
&g_RSCMWDAU_RS_ATTR_SPY,
&g_RSCMWDAU_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWDAU_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSCMWDAU_RS_ATTR_GROUP_CAPABILITIES,
&g_RSCMWDAU_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSCMWDAU_RS_ATTR_CHANNEL_COUNT,
&g_RSCMWDAU_RS_ATTR_DRIVER_SETUP,
&g_RSCMWDAU_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSCMWDAU_RS_ATTR_INSTRUMENT_MODEL,
&g_RSCMWDAU_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSCMWDAU_RS_ATTR_OPTIONS_LIST,
&g_RSCMWDAU_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSCMWDAU_RS_ATTR_LOGICAL_NAME,
&g_RSCMWDAU_RS_ATTR_PRIMARY_ERROR,
&g_RSCMWDAU_RS_ATTR_SECONDARY_ERROR,
&g_RSCMWDAU_RS_ATTR_ERROR_ELABORATION,
&g_RSCMWDAU_RS_ATTR_VISA_RM_SESSION,
&g_RSCMWDAU_RS_ATTR_IO_SESSION,
&g_RSCMWDAU_RS_ATTR_IO_SESSION_TYPE,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSCMWDAU_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSCMWDAU_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSCMWDAU_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSCMWDAU_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSCMWDAU_RS_ATTR_ENGINE_REVISION,
&g_RSCMWDAU_RS_ATTR_OPC_CALLBACK,
&g_RSCMWDAU_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSCMWDAU_RS_ATTR_OPC_TIMEOUT,
&g_RSCMWDAU_ATTR_DAU_STATE,
&g_RSCMWDAU_ATTR_SERVICE_STATE,
&g_RSCMWDAU_ATTR_IMS_SERVICE_STATE,
&g_RSCMWDAU_ATTR_SERVICE_EXTERNAL_CONNECTION,
&g_RSCMWDAU_ATTR_SERVICE_IPV6_SUPPORT,
&g_RSCMWDAU_ATTR_LAN_STATUS,
&g_RSCMWDAU_ATTR_MTU,
&g_RSCMWDAU_ATTR_IPV4_ADDRESS_SETUP_MODE,
&g_RSCMWDAU_ATTR_IPV4_IP_ADDRESS,
&g_RSCMWDAU_ATTR_IPV4_SUBNET_MASK,
&g_RSCMWDAU_ATTR_IPV4_GATEWAY_ADDRESS,
&g_RSCMWDAU_ATTR_IPV4_ADDRESS_ADD,
&g_RSCMWDAU_ATTR_IPV4_ADDRESS_DELETE,
&g_RSCMWDAU_ATTR_IPV4_QUERY_IP_ADDRESS,
&g_RSCMWDAU_ATTR_IPV4_QUERY_SUBNET_MASK,
&g_RSCMWDAU_ATTR_IPV4_QUERY_GATEWAY_ADDRESS,
&g_RSCMWDAU_ATTR_IPV4_TYPE,
&g_RSCMWDAU_ATTR_IPV6_ADDRESS_SETUP_MODE,
&g_RSCMWDAU_ATTR_IPV6_STATIC_ADDRESS,
&g_RSCMWDAU_ATTR_IPV6_STATIC_DEFAULT_ROUTER,
&g_RSCMWDAU_ATTR_IPV6_QUERY_STATIC_ADDRESS,
&g_RSCMWDAU_ATTR_IPV6_QUERY_STATIC_DEFAULT_ROUTER,
&g_RSCMWDAU_ATTR_IPV6_MOBILE_PREFIX_SETUP_MODE,
&g_RSCMWDAU_ATTR_IPV6_PREFIX_POOL_ENABLED,
&g_RSCMWDAU_ATTR_IPV6_PREFIX_ADD,
&g_RSCMWDAU_ATTR_IPV6_PREFIX_DELETE,
&g_RSCMWDAU_ATTR_IPV6_PREFIX_DELETE_BY_INDEX,
&g_RSCMWDAU_ATTR_IPV6_ROUTING_SETUP_MODE,
&g_RSCMWDAU_ATTR_IPV6_ROUTING_DELETE,
&g_RSCMWDAU_ATTR_IPV6_ROUTING_DELETE_BY_INDEX,
&g_RSCMWDAU_ATTR_IPV6_TYPE,
&g_RSCMWDAU_ATTR_IPV6_ADDRESS_LENGTH,
&g_RSCMWDAU_ATTR_DNS_SERVER_TYPE,
&g_RSCMWDAU_ATTR_DNS_QUERY_IP_ADDRESS,
&g_RSCMWDAU_ATTR_DNS_SERVER_FOREIGN_ADDRESS,
&g_RSCMWDAU_ATTR_DNS_SERVER_USE_DHCP,
&g_RSCMWDAU_ATTR_DNS_ENTRY_DELETE,
&g_RSCMWDAU_ATTR_APPLICATION_ENTRY_DELETE,
&g_RSCMWDAU_ATTR_DNS_DOMAIN_TEST,
&g_RSCMWDAU_ATTR_DNS_DOMAIN_TEST_START,
&g_RSCMWDAU_ATTR_DNS_SERVER_RESPONSE,
&g_RSCMWDAU_ATTR_FTP_SERVICE_TYPE,
&g_RSCMWDAU_ATTR_FTP_ANONYMOUS_USER,
&g_RSCMWDAU_ATTR_FTP_DATA_UPLOAD,
&g_RSCMWDAU_ATTR_IMS_QUERY_STATUS,
&g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_STATUS,
&g_RSCMWDAU_ATTR_IMS_QUERY_ADVANCED_MOBILE_STATUS,
&g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_IP_ADDRESS,
&g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_PUBLIC_USER_ID,
&g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_PRIVATE_USER_ID,
&g_RSCMWDAU_ATTR_IMS_QUERY_MOBILE_HOME_DOMAIN,
&g_RSCMWDAU_ATTR_IMS_QUERY_PCSCF_ADDRESS,
&g_RSCMWDAU_ATTR_IMS_SERVER_USAGE,
&g_RSCMWDAU_ATTR_IMS_ADVANCED_SERVER_USAGE,
&g_RSCMWDAU_ATTR_IMS_INTERN_ADDRESS_TYPE,
&g_RSCMWDAU_ATTR_IMS_ADVANCED_INTERN_ADDRESS_TYPE,
&g_RSCMWDAU_ATTR_IMS_EXTERN_IP_ADDRESS,
&g_RSCMWDAU_ATTR_IMS_EXTERN_IPV4_ADDRESS,
&g_RSCMWDAU_ATTR_IMS_EXTERN_IPV6_ADDRESS,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_PRIVATE_USER_ID,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_ALGORITHM,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_KEY,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_RAND,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_AMF,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_AKA_VERSION,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_RES_LENGTH,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_KEY_TYPE,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_OPC,
&g_RSCMWDAU_ATTR_IMS_AUTHENTICATION_OP,
&g_RSCMWDAU_ATTR_IMS_DEREGISTER_MOBILE,
&g_RSCMWDAU_ATTR_ADVANCED_IMS_DEREGISTER_MOBILE,
&g_RSCMWDAU_ATTR_IMS_IP_SEC,
&g_RSCMWDAU_ATTR_IMS_IP_SEC_INTEGRITY_ALGORITHM,
&g_RSCMWDAU_ATTR_IMS_IP_SEC_ENCRYPTION_ALGORITHM,
&g_RSCMWDAU_ATTR_IMS_VOICE_PRECONDITIONS,
&g_RSCMWDAU_ATTR_IMS_VOICE_AUDIOROUTING,
&g_RSCMWDAU_ATTR_IMS_VOICE_LOOPBACK,
&g_RSCMWDAU_ATTR_IMS_VOICE_MEDIA_ENDPOINT_IP_ADDRESS,
&g_RSCMWDAU_ATTR_IMS_VOICE_MEDIA_ENDPOINT_PORT,
&g_RSCMWDAU_ATTR_IMS_VOICE_TYPE,
&g_RSCMWDAU_ATTR_IMS_VOICE_AMR_TYPE,
&g_RSCMWDAU_ATTR_IMS_VOICE_CODEC,
&g_RSCMWDAU_ATTR_IMS_VOICE_VIDEO_CODEC,
&g_RSCMWDAU_ATTR_IMS_VOICE_CALL_ESTABLISH,
&g_RSCMWDAU_ATTR_IMS_VOICE_CALL_DISCONNECT,
&g_RSCMWDAU_ATTR_IMS_QUERY_VOICE_CALL_STATUS,
&g_RSCMWDAU_ATTR_IMS_SMS_TYPE,
&g_RSCMWDAU_ATTR_IMS_SMS_TEXT,
&g_RSCMWDAU_ATTR_IMS_QUERY_SMS_STATUS,
&g_RSCMWDAU_ATTR_IMS_CLEAN_GENERAL_INFO,
&g_RSCMWDAU_ATTR_IMS_TCP_KEEP_ALIVE,
&g_RSCMWDAU_ATTR_IMS_SIP_TIMER_SELECTION,
&g_RSCMWDAU_ATTR_IMS_SIP_TIMER,
&g_RSCMWDAU_ATTR_IMS_THRESHOLD,
&g_RSCMWDAU_ATTR_IMS_TRANSPORT_SELECTION,
&g_RSCMWDAU_ATTR_CREATE_PCSCF_TAB,
&g_RSCMWDAU_ATTR_DELETE_PCSCF_TAB,
&g_RSCMWDAU_ATTR_UPDATE_PCSCF_PROFILES,
&g_RSCMWDAU_ATTR_PCSCF_IP_ADDRESS,
&g_RSCMWDAU_ATTR_PCSCF_BEHAVIOR,
&g_RSCMWDAU_ATTR_PCSCF_FAILURE_CODE,
&g_RSCMWDAU_ATTR_PCSCF_RETRY_AFTER,
&g_RSCMWDAU_ATTR_CREATE_SUBSCRIBER_TAB,
&g_RSCMWDAU_ATTR_DELETE_SUBSCRIBER_TAB,
&g_RSCMWDAU_ATTR_UPDATE_SUBSCRIBER_PROFILE,
&g_RSCMWDAU_ATTR_SUBSCRIBER_PRIVATE_USER_ID,
&g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION,
&g_RSCMWDAU_ATTR_SUBSCRIBER_KEY_GENERATION_ALGORITHM,
&g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION_KEY,
&g_RSCMWDAU_ATTR_SUBSCRIBER_AUTHENTICATION_MANAGEMENT_FIELD,
&g_RSCMWDAU_ATTR_SUBSCRIBER_OPC,
&g_RSCMWDAU_ATTR_SUBSCRIBER_RES_LENGTH,
&g_RSCMWDAU_ATTR_SUBSCRIBER_IPSEC_ENABLE,
&g_RSCMWDAU_ATTR_SUBSCRIBER_INTEGRITY_ALGORITHM,
&g_RSCMWDAU_ATTR_SUBSCRIBER_ENCRYPTION_ALGORITHM,
&g_RSCMWDAU_ATTR_SUBSCRIBER_PUBLIC_USER_ID,
&g_RSCMWDAU_ATTR_SUBSCRIBER_QCI,
&g_RSCMWDAU_ATTR_SUBSCRIBER_PAU_HEADER,
&g_RSCMWDAU_ATTR_CREATE_VIRTUAL_SUBSCRIBER_PROFILE,
&g_RSCMWDAU_ATTR_DELETE_VIRTUAL_SUBSCRIBER_PROFILE,
&g_RSCMWDAU_ATTR_UPDATE_VIRTUAL_SUBSCRIBER_PROFILE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_PUBLIC_USER_ID,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_BEHAVIOR,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SIGNALING_TYPE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_CODEC_VIDEO,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_VIDEO_ATTRIBUTES,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MEDIA_ENDPOINT,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_VOICE_CODEC,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_ALIGNMENT_MODE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AMR_CODEC_RATES,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_DESTINATION,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_CALL_TYPE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_SIGNAL_TYPE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_TYPE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_ALIGNMENT,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_CODEC_RATES,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_VIDEO_CODEC,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_MTC_AMR_VIDEO_ATTRIBUTES,
&g_RSCMWDAU_ATTR_INITIATE_VIRTUAL_SUBSCRIBER_VOICE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_DESTINATION,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_TYPE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_TEXT,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_SMS_ENCODING,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_ADD_PARTICIPANT,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_DELETE_PARTICIPANT,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_GROUP_CHAT_PARTICIPANTS_CSV,
&g_RSCMWDAU_ATTR_SEND_VIRTUAL_SUBSCRIBER_SMS,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBED_SMS_SELECTED_FILE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_START_MODE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_HF_ONLY,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_DTX,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_DTX_RECV,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_RATE_ENABLED,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CONFIGURATION_MODE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_COMMON,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_SEND,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_BANDWIDTH_RECEIVE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CMR,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_CHAW,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_EVS_IO_MODE_CONFIG,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_BEARER,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_AUDIO_CODEC,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FORCE_CODEC,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_DESTINATION_LIST,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_DESTINATION,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_TYPE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_CHUNK_SIZE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_FILE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FILE_TRANSFER_INITIATE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_PCAP_FILE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_VIDEO_CALL,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_STANDALONE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_SESSION_MODE,
&g_RSCMWDAU_ATTR_VIRTUAL_SUBSCRIBER_FEATURE_FILE_TRANSFER,
&g_RSCMWDAU_ATTR_INITIATE_UPDATE_CALL,
&g_RSCMWDAU_ATTR_UPDATE_CALL_ID,
&g_RSCMWDAU_ATTR_UPDATE_CALL_AMR_TYPE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_AMR_ALIGNMENT,
&g_RSCMWDAU_ATTR_UPDATE_CALL_CODEC_RATE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_VIDEO_CODEC,
&g_RSCMWDAU_ATTR_UPDATE_CALL_AUDIO_CODEC,
&g_RSCMWDAU_ATTR_UPDATE_CALL_VIDEO_ATTRIBUTES,
&g_RSCMWDAU_ATTR_UPDATE_CALL_TYPE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_IDS,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVENT,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_START_MODE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_HF_ONLY,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_DTX,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_DTX_RECV,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_RATE_ENABLED,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CONFIGURATION_MODE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_COMMON,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_SEND,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_BANDWIDTH_RECEIVE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CMR,
&g_RSCMWDAU_ATTR_UPDATE_CALL_EVS_CHAW,
&g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_AMR_BITRATE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_AMRWB_BITRATE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_EVS_BANDWIDTH,
&g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_EVS_BITRATE,
&g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_REPETITION,
&g_RSCMWDAU_ATTR_UPDATE_CALL_INBAND_PERFORM_CALL,
&g_RSCMWDAU_ATTR_UPDATE_CHAT_TEXT,
&g_RSCMWDAU_ATTR_INITIATE_UPDATE_CHAT,
&g_RSCMWDAU_ATTR_SEND_UPDATE_CHAT_ACTIVE_NOTIFICATION,
&g_RSCMWDAU_ATTR_SEND_UPDATE_CHAT_IDLE_NOTIFICATION,
&g_RSCMWDAU_ATTR_EPDG_STATE,
&g_RSCMWDAU_ATTR_EPDG_IPV4_ADDRESS,
&g_RSCMWDAU_ATTR_EPDG_IPV6_ADDRESS,
&g_RSCMWDAU_ATTR_EPDG_ID_TYPE,
&g_RSCMWDAU_ATTR_EPDG_ID_VALUE,
&g_RSCMWDAU_ATTR_EPDG_IKE_ENCRYPTION,
&g_RSCMWDAU_ATTR_EPDG_IKE_PRF,
&g_RSCMWDAU_ATTR_EPDG_IKE_INTEGRITY,
&g_RSCMWDAU_ATTR_EPDG_DIFFIE_HELLMAN,
&g_RSCMWDAU_ATTR_EPDG_ESP_ENCRYPTION,
&g_RSCMWDAU_ATTR_EPDG_ESP_INTEGRITY,
&g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_ENABLED,
&g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_INTERVAL,
&g_RSCMWDAU_ATTR_EPDG_DEAD_PEER_DETECTION_TIMEOUT,
&g_RSCMWDAU_ATTR_EPDG_SSL_ENABLE,
&g_RSCMWDAU_ATTR_EPDG_SERVER_KEY_FILE,
&g_RSCMWDAU_ATTR_EPDG_SERVER_CERTIFICATE_FILE,
&g_RSCMWDAU_ATTR_EPDG_IMSI,
&g_RSCMWDAU_ATTR_EPDG_PCSCF_IKEV2_AUTO,
&g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_ALGORITHM,
&g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_DATA_KEY,
&g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_RAND,
&g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_AMF,
&g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_KEY_TYPE,
&g_RSCMWDAU_ATTR_EPDG_AUTHENTICATION_OPC,
&g_RSCMWDAU_ATTR_EPDG_CLEARS_EVENT_LOG,
&g_RSCMWDAU_ATTR_APPLICATION_TYPE,
&g_RSCMWDAU_ATTR_RAN_TECHNOLOGY,
&g_RSCMWDAU_ATTR_RAN_ASSIGN,
&g_RSCMWDAU_ATTR_RAN_UPLINK_TRACE,
&g_RSCMWDAU_ATTR_RAN_DOWNLINK_TRACE,
&g_RSCMWDAU_ATTR_PING_DESTINATION_ADDRESS,
&g_RSCMWDAU_ATTR_PING_INTERVAL,
&g_RSCMWDAU_ATTR_PING_PAYLOAD_SIZE,
&g_RSCMWDAU_ATTR_PING_COUNT,
&g_RSCMWDAU_ATTR_PING_TIMEOUT,
&g_RSCMWDAU_ATTR_THROUGHPUT_MEASUREMENT_POINTS,
&g_RSCMWDAU_ATTR_THROUGHPUT_QUERY_MEASUREMENT_INTERVAL,
&g_RSCMWDAU_ATTR_THROUGHPUT_TYPE,
&g_RSCMWDAU_ATTR_THROUGHPUT_MAX_COUNT,
&g_RSCMWDAU_ATTR_DNS_REQUESTS_MAX_INDEX_COUNT,
&g_RSCMWDAU_ATTR_IP_LOGGING_INTERFACE,
&g_RSCMWDAU_ATTR_IP_LOGGING_FILE_SIZE,
&g_RSCMWDAU_ATTR_IP_LOGGING_PACKET_COUNTER,
&g_RSCMWDAU_ATTR_IP_LOGGING_PACKET_SNAP_LENGTH,
&g_RSCMWDAU_ATTR_IP_LOGGING_LOG_FILE_NAME,
&g_RSCMWDAU_ATTR_IPERF_STATE,
&g_RSCMWDAU_ATTR_IPERF_TEST_DURATION,
&g_RSCMWDAU_ATTR_IPERF_PROTOCOL,
&g_RSCMWDAU_ATTR_IPERF_PORT,
&g_RSCMWDAU_ATTR_IPERF_SOCKET_BUFFER_SIZE,
&g_RSCMWDAU_ATTR_IPERF_CLIENT_DESTINATION_ADDRESS,
&g_RSCMWDAU_ATTR_IPERF_CLIENT_PARALLEL_CONNECTIONS,
&g_RSCMWDAU_ATTR_IPERF_CLIENT_MAX_BIT_RATE,
&g_RSCMWDAU_ATTR_IPERF_CLIENT_REVERSE_MODE_ENABLED,
&g_RSCMWDAU_ATTR_IPERF_NAT_PARALLEL_CONNECTIONS,
&g_RSCMWDAU_ATTR_IPERF_NAT_MAX_BIT_RATE,
&g_RSCMWDAU_ATTR_IPERF_PACKET_SIZE,
&g_RSCMWDAU_ATTR_IPERF_TYPE,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_STATE,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_ENABLE_SET,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_IP_ADDRESS,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_DELAY,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_JITTER,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_REORDERING_RATE,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_PACKETLOSS_RATE,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_DUPLICATES_RATE,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_CORRUPTION_RATE,
&g_RSCMWDAU_ATTR_NETWORK_IMPAIRMENTS_JITTER_DISTRIBUTION,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_TCP_ANALYSIS,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_IP_CONNECT,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_DPCP,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_FT_TRIGGER,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_RESULT_VOICE_OVER_IMS,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_WINDOW,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_RETRANSMISSIONS,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_THRESHOLD_ROUND_TRIP_TIME,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_TCP_TRESHOLD_OVERHEAD,
&g_RSCMWDAU_ATTR_FT_TRIGGER_ASSIGN_CONNECTION_TO_TRACE,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_APPLICATION_SELECTED,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_LAYER,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_STORE_DB,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_CLEAR_EVENT_LOG,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_DESTINATION_IP,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_LAYER_4_PROTOCOL,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_TIMEOUT,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_INITIATE,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_ABORT,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_STATUS,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_PORT_SCAN_EXPORT_FILE_PATH,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_FLOW_FILTER_CONNECTIONS,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_IMPORT,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_ADD,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_DELETE,
&g_RSCMWDAU_ATTR_IP_ANALYSIS_KEYWORD_SEARCH_LIST,
&g_RSCMWDAU_ATTR_IP_REPLAY_REMOVE_FROM_PLAYLIST,
&g_RSCMWDAU_ATTR_IP_REPLAY_PLAYLIST_START,
&g_RSCMWDAU_ATTR_IP_REPLAY_PLAYLIST_STOP,
&g_RSCMWDAU_ATTR_QUERY_IP_REPLAY_STATE,
&g_RSCMWDAU_ATTR_AUDIO_DELAY_MAXIMUM_SAMPLES,
&g_RSCMWDAU_ATTR_QUERY_AUDIO_DELAY_INTERVAL,
&g_RSCMWDAU_ATTR_QUERY_AUDIO_DELAY_SAMPLE_INTERVAL,
&g_RSCMWDAU_ATTR_QOS_ENABLED,
&g_RSCMWDAU_ATTR_QOS_ADD_FILTER,
&g_RSCMWDAU_ATTR_QOS_FILTER_CATALOG,
&g_RSCMWDAU_ATTR_QOS_REMOVE_FILTER,
&g_RSCMWDAU_ATTR_QOS_PROFILE_ENABLED,
&g_RSCMWDAU_ATTR_QOS_PROFILE_IP_ADDRESS,
&g_RSCMWDAU_ATTR_QOS_PROFILE_PROTOCOL,
&g_RSCMWDAU_ATTR_QOS_PROFILE_TCP_PRIORIZATION,
&g_RSCMWDAU_ATTR_QOS_PROFILE_HOP_LIMIT,
&g_RSCMWDAU_ATTR_QOS_PROFILE_PACKET_LOSS_RATE,
&g_RSCMWDAU_ATTR_QOS_PROFILE_DELAY,
&g_RSCMWDAU_ATTR_QOS_PROFILE_JITTER,
&g_RSCMWDAU_ATTR_QOS_PROFILE_JITTER_DISTRIBUTION,
&g_RSCMWDAU_ATTR_QOS_PROFILE_REORDER_RATE,
&g_RSCMWDAU_ATTR_QOS_PROFILE_DUPLICATE_RATE,
&g_RSCMWDAU_ATTR_QOS_PROFILE_CORRUPT_RATE,
&g_RSCMWDAU_ATTR_QOS_PROFILE_BIT_RATE,
&g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_INIT,
&g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_ABORT,
&g_RSCMWDAU_ATTR_DATA_APPLIACTION_MEASUREMENT_STOP,
&g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_INIT,
&g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_ABORT,
&g_RSCMWDAU_ATTR_DATA_APPLICATION_MEASUREMENT_AUDIO_DELAY_STOP,
&g_RSCMWDAU_ATTR_QUERY_PING_NO_REPLY_COUNT,
&g_RSCMWDAU_ATTR_QUERY_DNS_REQUESTS_COUNT,
&g_RSCMWDAU_ATTR_QUERY_SECURITY_APPLICATIONS,
&g_RSCMWDAU_ATTR_SYSTEM_VERSION,
&g_RSCMWDAU_ATTR_SYSTEM_ERROR,
&g_RSCMWDAU_ATTR_SYSTEM_ALL_ERRORS,
&g_RSCMWDAU_ATTR_SYSTEM_PRESET,
&g_RSCMWDAU_ATTR_ID_QUERY_RESPONSE,
&g_RSCMWDAU_ATTR_IPV4_DNS_ADDRESS,

NULL
};
